summaryrefslogtreecommitdiff
path: root/package
diff options
context:
space:
mode:
Diffstat (limited to 'package')
-rw-r--r--package/ffmpeg/Makefile4
-rw-r--r--package/imx-gpu-viv/Makefile4
-rw-r--r--package/kodi/Makefile37
-rw-r--r--package/kodi/patches/patch-configure_in50
-rw-r--r--package/kodi/patches/patch-tools_Linux_kodi_sh_in39
-rw-r--r--package/kodi/patches/patch-tools_TexturePacker_Makefile_in13
-rw-r--r--package/kodi/patches/patch-xbmc_cores_dvdplayer_DVDDemuxers_DVDDemuxFFmpeg_cpp13
-rw-r--r--package/libcec/Makefile31
-rw-r--r--package/libcec/patches/libcec-imx6-support.patch831
-rw-r--r--package/libcec/patches/patch-src_cec-client_CMakeLists_txt10
-rw-r--r--package/libcec/patches/patch-src_lib_libcec_pc_in9
-rw-r--r--package/libcec/patches/patch-src_libcec_libcec_pc_in16
-rw-r--r--package/libsquish/Makefile25
-rw-r--r--package/libsquish/patches/patch-Makefile10
-rw-r--r--package/openssl/Makefile3
-rw-r--r--package/platform/Makefile25
-rw-r--r--package/swig/Makefile8
-rw-r--r--package/tinyxml/Makefile4
-rw-r--r--package/tinyxml/files/tinyxml.pc10
-rw-r--r--package/tmsnc/patches/patch-config_log797
-rw-r--r--package/uclibc-ng/Config.in.manual1
21 files changed, 140 insertions, 1800 deletions
diff --git a/package/ffmpeg/Makefile b/package/ffmpeg/Makefile
index 2a85119ae..b0fc60920 100644
--- a/package/ffmpeg/Makefile
+++ b/package/ffmpeg/Makefile
@@ -4,9 +4,9 @@
include ${ADK_TOPDIR}/rules.mk
PKG_NAME:= ffmpeg
-PKG_VERSION:= 2.6.2
+PKG_VERSION:= 2.6.3
PKG_RELEASE:= 1
-PKG_HASH:= 889e3aa069b724dc95cbfc79ef83322a8a39d9f6225f39fad1b47294fc1f29ba
+PKG_HASH:= 59eb98c1b5896ac29abc0385f7c875d1b4942d695818818d418ee71eea1e0cfb
PKG_DESCR:= record, convert and stream audio & video
PKG_SECTION:= libs/video
PKG_FDEPENDS:= libpthread
diff --git a/package/imx-gpu-viv/Makefile b/package/imx-gpu-viv/Makefile
index df9ba77a4..bed3e116a 100644
--- a/package/imx-gpu-viv/Makefile
+++ b/package/imx-gpu-viv/Makefile
@@ -27,8 +27,12 @@ imx-gpu-viv-install:
$(INSTALL_DIR) $(IDIR_IMX_GPU_VIV)/usr/lib
$(CP) $(WRKBUILD)/gpu-core/usr/lib/lib*.so* \
$(IDIR_IMX_GPU_VIV)/usr/lib
+ $(CP) $(WRKBUILD)/g2d/usr/lib/lib*.so* \
+ $(IDIR_IMX_GPU_VIV)/usr/lib
$(INSTALL_DIR) $(STAGING_TARGET_DIR)/usr/include
$(CP) $(WRKBUILD)/gpu-core/usr/include/* \
$(STAGING_TARGET_DIR)/usr/include
+ $(CP) $(WRKBUILD)/g2d/usr/include/* \
+ $(STAGING_TARGET_DIR)/usr/include
include ${ADK_TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/kodi/Makefile b/package/kodi/Makefile
index 330fd453e..3bf0a031e 100644
--- a/package/kodi/Makefile
+++ b/package/kodi/Makefile
@@ -4,11 +4,11 @@
include $(ADK_TOPDIR)/rules.mk
PKG_NAME:= kodi
-PKG_VERSION:= 7cc53a9a3da77869d1d5d3d3d9971b4bd1641b50
-PKG_RELEASE:= 2
+PKG_VERSION:= ff25ea118e3580bb1ebcbb7c450ed933da1782be
+PKG_RELEASE:= 1
PKG_DESCR:= software media player
PKG_SECTION:= mm/video
-PKG_DEPENDS:= boost python2 libstdcxx glibc-gconv
+PKG_DEPENDS:= boost python2 libstdcxx glibc-gconv libsquish
PKG_DEPENDS+= libass libmpeg2 libmad libdbus libglew mesalib
PKG_DEPENDS+= libjpeg-turbo libogg libvorbis libmodplug libcurl
PKG_DEPENDS+= libflac libbz2 libtiff liblzo libopenssl libnettle
@@ -25,12 +25,12 @@ PKG_BUILDDEP+= libsamplerate taglib libjasper lame libmicrohttpd
PKG_BUILDDEP+= eudev alsa-lib glib glu libmodplug libgtk2
PKG_BUILDDEP+= libgpg-error dbus libxslt libvorbis
PKG_BUILDDEP+= swig-host sdl-host sdl-image-host liblzo-host
-PKG_BUILDDEP+= zip-host unzip-host
+PKG_BUILDDEP+= zip-host unzip-host libsquish
PKG_URL:= http://kodi.tv/
PKG_SITES:= https://github.com/xbmc/xbmc.git
PKG_FLAVOURS_KODI:= WITH_SMB WITH_NFS WITH_SSH WITH_AVAHI WITH_CEC
-PKG_FLAVOURS_KODI+= WITH_AFP WITH_WEBSERVER WITH_RTMP WITH_BLURAY
+PKG_FLAVOURS_KODI+= WITH_WEBSERVER WITH_RTMP WITH_BLURAY WITH_LIRC
PKGFD_WITH_SMB:= enable samba support
PKGFB_WITH_SMB:= samba
@@ -47,15 +47,15 @@ PKGFS_WITH_AVAHI:= libavahi
PKGFD_WITH_CEC:= enable cec support
PKGFB_WITH_CEC:= libcec
PKGFS_WITH_CEC:= libcec
-PKGFD_WITH_AFP:= enable afp support
-PKGFB_WITH_AFP:= afpfs-ng
-PKGFS_WITH_AFP:= libafpclient
PKGFD_WITH_RTMP:= enable rtmp support
PKGFB_WITH_RTMP:= rtmpdump
PKGFS_WITH_RTMP:= librtmp
PKGFD_WITH_BLURAY:= enable bluray support
PKGFB_WITH_BLURAY:= libbluray
PKGFS_WITH_BLURAY:= libbluray
+PKGFD_WITH_LIRC:= enable lirc support
+PKGFB_WITH_LIRC:= lirc
+PKGFS_WITH_LIRC:= lirc
PKGFD_WITH_WEBSERVER:= enable internal webserver support
# libiconv missing, freescale GL libraries linked against glibc
@@ -124,11 +124,6 @@ CONFIGURE_ARGS+= --enable-libbluray
else
CONFIGURE_ARGS+= --disable-libbluray
endif
-ifneq ($(ADK_PACKAGE_KODI_WITH_AFP),)
-CONFIGURE_ARGS+= --enable-afpclient
-else
-CONFIGURE_ARGS+= --disable-afpclient
-endif
ifneq ($(ADK_PACKAGE_KODI_WITH_SMB),)
CONFIGURE_ARGS+= --enable-samba
else
@@ -154,6 +149,11 @@ CONFIGURE_ARGS+= --enable-rtmp
else
CONFIGURE_ARGS+= --disable-rtmp
endif
+ifneq ($(ADK_PACKAGE_KODI_WITH_LIRC),)
+CONFIGURE_ARGS+= --enable-lirc
+else
+CONFIGURE_ARGS+= --disable-lirc
+endif
ifneq ($(ADK_PACKAGE_KODI_WITH_AVAHI),)
CONFIGURE_ARGS+= --enable-avahi
else
@@ -169,33 +169,30 @@ ifeq ($(ADK_TARGET_SYSTEM_RASPBERRY_PI),y)
CONFIGURE_ARGS+= --with-platform=raspberry-pi \
--enable-player=omxplayer \
--enable-gles \
- --disable-sdl \
--disable-x11
endif
ifeq ($(ADK_TARGET_SYSTEM_RASPBERRY_PI2),y)
CONFIGURE_ARGS+= --with-platform=raspberry-pi \
--enable-player=omxplayer \
--enable-gles \
- --disable-sdl \
--disable-x11
endif
ifeq ($(ADK_TARGET_SYSTEM_SOLIDRUN_IMX6),y)
CONFIGURE_ARGS+= --disable-x11 \
- --disable-sdl \
--enable-gles \
--enable-codec=imxvpu
endif
pre-configure:
(cd $(WRKBUILD)/lib/cpluff && env PATH='$(AUTOTOOL_PATH)' ./autogen.sh)
-
-pre-build:
- $(SED) "s#@@STAGING_HOST_DIR@@#$(STAGING_HOST_DIR)#" \
- $(WRKBUILD)/tools/TexturePacker/Makefile.in
PATH='$(HOST_PATH)' \
make CXX="${HOST_CXX}" CC="${HOST_CC}" CFLAGS="${HOST_CFLAGS}" \
CXXFLAGS="${HOST_CXXFLAGS}" LDFLAGS="${HOST_LDFLAGS}" \
-C $(WRKBUILD)/tools/depends/native/JsonSchemaBuilder
+ PATH='$(HOST_PATH)' \
+ make CXX="${HOST_CXX}" CC="${HOST_CC}" CFLAGS="${HOST_CFLAGS}" \
+ CXXFLAGS="${HOST_CXXFLAGS}" LDFLAGS="${HOST_LDFLAGS}" \
+ -C $(WRKBUILD)/tools/depends/native/TexturePacker
kodi-install:
$(INSTALL_DIR) $(IDIR_KODI)/usr/lib/kodi/addons
diff --git a/package/kodi/patches/patch-configure_in b/package/kodi/patches/patch-configure_in
deleted file mode 100644
index dfd4a32ae..000000000
--- a/package/kodi/patches/patch-configure_in
+++ /dev/null
@@ -1,50 +0,0 @@
---- xbmc-14.0-Helix.orig/configure.in 2014-12-22 17:11:35.000000000 -0600
-+++ xbmc-14.0-Helix/configure.in 2014-12-28 02:47:04.799045092 -0600
-@@ -55,13 +55,6 @@ AC_DEFUN([XB_ADD_CODEC],
- # check for library basenames
- AC_DEFUN([XB_FIND_SONAME],
- [
-- if echo "$host" | grep -q freebsd ; then
-- AC_MSG_CHECKING([for lib$2 soname])
-- $1_SONAME=[`ldconfig -r | sed -n "s;.* \(/.*lib$2\.so.*\)$;\1;p" | head -n 1`]
-- if test x$$1_SONAME != x ; then
-- $1_SONAME=[`basename $$1_SONAME`]
-- fi
-- elif [[ "$host_vendor" != "apple" ]]; then
- AC_MSG_CHECKING([for lib$2 soname])
- $1_FILENAME=$($CC -nostdlib -o /dev/null $LDFLAGS $4 -l$2 -Wl,-M 2>/dev/null | grep "^LOAD.*$2" | awk '{V=2; print $V}')
- if [[ -z $$1_FILENAME ]]; then
-@@ -71,24 +64,6 @@ AC_DEFUN([XB_FIND_SONAME],
- if [[ ! -z $$1_FILENAME ]]; then
- $1_SONAME=$($OBJDUMP -p $$1_FILENAME | grep "SONAME.*$2" | awk '{V=2; print $V}')
- fi
-- else
-- AC_MSG_CHECKING([for lib$2 dylib])
-- gcc_lib_path=[`$CC -print-search-dirs 2>/dev/null | fgrep libraries: | sed 's/[^=]*=\(.*\)/\1/' | sed 's/:/ /g'`]
-- env_lib_path=[`echo $LDFLAGS | sed 's/-L[ ]*//g'`]
-- if test "$cross_compiling" = yes; then
-- host_lib_path=""
-- else
-- host_lib_path="/usr/lib /usr/local/lib"
-- fi
-- for path in $gcc_lib_path $env_lib_path $host_lib_path; do
-- lib=[`ls -- $path/lib$2.dylib 2>/dev/null`]
-- if test x$lib != x; then
-- # we want the path/name that is embedded in the dylib
-- $1_FILENAME=[`otool -L $lib | grep -v lib$2.dylib | grep lib$2 | awk '{V=1; print $V}'`]
-- $1_SONAME=[`basename $$1_FILENAME`]
-- fi
-- done
-- fi
- if [[ -z "$$1_SONAME" ]]; then
- AC_MSG_RESULT([no])
- if test -z "$3" || test "x${$3}" = "xyes"; then
-@@ -1015,7 +990,7 @@ if test "$use_gles" = "yes"; then
- AC_DEFINE([HAVE_LIBEGL],[1],["Define to 1 if you have the `EGL' library (-lEGL)."])
- AC_DEFINE([HAVE_LIBGLESV2],[1],["Define to 1 if you have the `GLESv2' library (-lGLESv2)."])
- AC_MSG_RESULT(== WARNING: OpenGLES support is assumed.)
-- LIBS="$LIBS -lEGL -lGLESv2 -lbcm_host -lvcos -lvchiq_arm -lmmal -lmmal_core -lmmal_util"
-+ LIBS="$LIBS -lEGL -lGLESv2 -lbcm_host -lvcos -lvchiq_arm -lmmal -lmmal_core -lmmal_util -lkhrn_static -lpthread -lm"
- else
- AC_CHECK_LIB([EGL], [main],, AC_MSG_ERROR($missing_library))
- AC_CHECK_LIB([GLESv2],[main],, AC_MSG_ERROR($missing_library))
diff --git a/package/kodi/patches/patch-tools_Linux_kodi_sh_in b/package/kodi/patches/patch-tools_Linux_kodi_sh_in
deleted file mode 100644
index 2d0e188d1..000000000
--- a/package/kodi/patches/patch-tools_Linux_kodi_sh_in
+++ /dev/null
@@ -1,39 +0,0 @@
---- kodi-14.0rc2.orig/tools/Linux/kodi.sh.in 2014-12-05 19:38:43.000000000 -0600
-+++ kodi-14.0rc2/tools/Linux/kodi.sh.in 2014-12-07 08:33:01.128418001 -0600
-@@ -86,15 +86,7 @@ print_crash_report()
- echo -n " Kernel: " >> $FILE
- uname -rvs >> $FILE
- echo -n " Release: " >> $FILE
-- if [ -f /etc/os-release ]; then
-- . /etc/os-release
-- echo $NAME $VERSION >> $FILE
-- elif command_exists lsb_release; then
-- echo >> $FILE
-- lsb_release -a 2> /dev/null | sed -e 's/^/ /' >> $FILE
-- else
-- echo "lsb_release not available" >> $FILE
-- fi
-+ echo OpenADK >> $FILE
- echo "############## END SYSTEM INFO ##############" >> $FILE
- echo >> $FILE
- echo "############### STACK TRACE #################" >> $FILE
-@@ -138,19 +130,6 @@ print_crash_report()
- }
-
- migrate_home
--python @datadir@/${bin_name}/FEH.py $SAVED_ARGS
--RET=$?
--if [ $RET -ne 0 ]; then
-- exit $RET
--fi
--
--if command_exists gdb; then
-- # Output warning in case ulimit is unsupported by shell
-- eval ulimit -c unlimited
-- if [ ! $? = "0" ]; then
-- echo "${bin_name}: ulimit is unsupported by this shell" 1>&2
-- fi
--fi
-
- LOOP=1
- while [ $(( $LOOP )) = "1" ]
diff --git a/package/kodi/patches/patch-tools_TexturePacker_Makefile_in b/package/kodi/patches/patch-tools_TexturePacker_Makefile_in
deleted file mode 100644
index 0fe1e0875..000000000
--- a/package/kodi/patches/patch-tools_TexturePacker_Makefile_in
+++ /dev/null
@@ -1,13 +0,0 @@
---- xbmc-14.0-Helix.orig/tools/TexturePacker/Makefile.in 2014-12-22 17:11:35.000000000 -0600
-+++ xbmc-14.0-Helix/tools/TexturePacker/Makefile.in 2014-12-27 13:48:57.427472564 -0600
-@@ -33,5 +33,10 @@ $(TARGET): $(SRCS) @abs_top_srcdir@/xbmc
- # TexturePacker run native on build system, build it with native tools
- make -C @abs_top_srcdir@/lib/libsquish/ libsquish-native.so
- $(CXX_FOR_BUILD) $(CXXFLAGS_FOR_BUILD) $(DEFINES) $(NATIVE_ARCH) $(SRCS) $(LDFLAGS_FOR_BUILD) -o $(TARGET)
-+ifeq ($(findstring Darwin,$(shell uname -s)),Darwin)
-+ install_name_tool -change /usr/lib/libSDL_image-1.2.0.dylib \
-+ /home/wbx/myapp/host_x86_64-linux-gnu/usr/lib/libSDL_image-1.2.0.dylib \
-+ $(TARGET)
-+endif
-
- include @abs_top_srcdir@/Makefile.include
diff --git a/package/kodi/patches/patch-xbmc_cores_dvdplayer_DVDDemuxers_DVDDemuxFFmpeg_cpp b/package/kodi/patches/patch-xbmc_cores_dvdplayer_DVDDemuxers_DVDDemuxFFmpeg_cpp
deleted file mode 100644
index 4f24390f7..000000000
--- a/package/kodi/patches/patch-xbmc_cores_dvdplayer_DVDDemuxers_DVDDemuxFFmpeg_cpp
+++ /dev/null
@@ -1,13 +0,0 @@
---- xbmc-14.0-Helix.orig/xbmc/cores/dvdplayer/DVDDemuxers/DVDDemuxFFmpeg.cpp 2014-12-22 17:11:35.000000000 -0600
-+++ xbmc-14.0-Helix/xbmc/cores/dvdplayer/DVDDemuxers/DVDDemuxFFmpeg.cpp 2014-12-25 13:38:23.629060371 -0600
-@@ -538,8 +538,8 @@ void CDVDDemuxFFmpeg::Reset()
- void CDVDDemuxFFmpeg::Flush()
- {
- // naughty usage of an internal ffmpeg function
-- if (m_pFormatContext)
-- av_read_frame_flush(m_pFormatContext);
-+ //if (m_pFormatContext)
-+ // av_read_frame_flush(m_pFormatContext);
-
- m_currentPts = DVD_NOPTS_VALUE;
-
diff --git a/package/libcec/Makefile b/package/libcec/Makefile
index 917aca375..dcbba4d8d 100644
--- a/package/libcec/Makefile
+++ b/package/libcec/Makefile
@@ -4,15 +4,14 @@
include $(ADK_TOPDIR)/rules.mk
PKG_NAME:= libcec
-PKG_VERSION:= 2.2.0
-PKG_RELEASE:= 2
-PKG_HASH:= da8a0c5acf2f9134e38d7993c08d960b7da2a9ea6b6b557a9d788361884b8396
+PKG_VERSION:= 185559110dc88aeca0915a90b3b369d2d42c0f7c
+PKG_RELEASE:= 1
PKG_DESCR:= control your device with your tv remote control
PKG_SECTION:= libs/video
-PKG_DEPENDS:= libudev
-PKG_BUILDDEP:= eudev
+PKG_DEPENDS:= libudev libplatform
+PKG_BUILDDEP:= eudev cmake-host platform
PKG_URL:= http://libcec.pulse-eight.com/
-PKG_SITES:= http://openadk.org/distfiles/
+PKG_SITES:= https://github.com/Pulse-Eight/libcec.git
PKG_OPTS:= dev
PKG_DEPENDS_RASPBERRY_PI:= bcm28xx-vc
@@ -25,19 +24,13 @@ include $(ADK_TOPDIR)/mk/package.mk
$(eval $(call PKG_template,LIBCEC,libcec,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION},${PKG_OPTS}))
-AUTOTOOL_STYLE:= autoreconf
-ifeq ($(ADK_TARGET_SYSTEM_SOLIDRUN_IMX6),y)
-CONFIGURE_ARGS+= --enable-imx6
-endif
-ifeq ($(ADK_TARGET_SYSTEM_RASPBERRY_PI),y)
-CONFIGURE_ARGS+= --enable-rpi \
- --with-rpi-include-path=$(STAGING_TARGET_DIR)/opt/vc/include \
- --with-rpi-lib-path=$(STAGING_TARGET_DIR)/opt/vc/lib
-endif
-ifeq ($(ADK_TARGET_SYSTEM_RASPBERRY_PI2),y)
-CONFIGURE_ARGS+= --enable-rpi \
- --with-rpi-include-path=$(STAGING_TARGET_DIR)/opt/vc/include \
- --with-rpi-lib-path=$(STAGING_TARGET_DIR)/opt/vc/lib
+WRKBUILD= $(WRKDIR)/$(PKG_NAME)-obj
+TARGET_LDFLAGS+= -ltinfo
+
+CONFIG_STYLE:= cmake
+CMAKE_FLAGS+= -DSKIP_PYTHON_WRAPPER=1 -DBUILD_SHARED_LIBS=1
+ifeq ($(ADK_TARGET_BOARD_BCM28XX),y)
+CMAKE_FLAGS+= -DHAVE_RPI_API=1
endif
libcec-install:
diff --git a/package/libcec/patches/libcec-imx6-support.patch b/package/libcec/patches/libcec-imx6-support.patch
deleted file mode 100644
index 8519abb85..000000000
--- a/package/libcec/patches/libcec-imx6-support.patch
+++ /dev/null
@@ -1,831 +0,0 @@
-diff -Naur libcec-2.2.0/configure.ac libcec-2.2.0.patch/configure.ac
---- libcec-2.2.0/configure.ac 2014-11-01 01:51:37.000000000 +0100
-+++ libcec-2.2.0.patch/configure.ac 2014-11-10 23:14:45.210162950 +0100
-@@ -100,6 +100,14 @@
- esac
- fi
-
-+## i.MX6 support
-+AC_ARG_ENABLE([imx6],
-+ [AS_HELP_STRING([--enable-imx6],
-+ [enable support for freescale i.MX6 (default is no)])],
-+ [use_imx6=$enableval],
-+ [use_imx6=no])
-+
-+
- ## add the top dir and include to the include path, so we can include config.h and cec.h
- CPPFLAGS="$CPPFLAGS -I\$(abs_top_srcdir)/src -I\$(abs_top_srcdir)/include"
-
-@@ -306,6 +314,17 @@
- fi
-
-
-+## mark i.MX6 support as available
-+if test "x$use_imx6" != "xno"; then
-+ AC_DEFINE([HAVE_IMX_API],[1],[Define to 1 to include i.MX6 support])
-+ AM_CONDITIONAL(USE_IMX_API, true)
-+ features="$features\n i.MX6 support :\t\t\tyes"
-+ LIB_INFO="$LIB_INFO 'i.MX6'"
-+else
-+ AM_CONDITIONAL(USE_IMX_API, false)
-+ features="$features\n i.MX6 support :\t\t\tno"
-+fi
-+
- ## check if our build system is complete
- AC_CHECK_HEADER(algorithm,,AC_MSG_ERROR($msg_required_header_missing))
- AC_CHECK_HEADER(ctype.h,,AC_MSG_ERROR($msg_required_header_missing))
-diff -Naur libcec-2.2.0/include/cectypes.h libcec-2.2.0.patch/include/cectypes.h
---- libcec-2.2.0/include/cectypes.h 2014-10-28 16:20:50.000000000 +0100
-+++ libcec-2.2.0.patch/include/cectypes.h 2014-11-10 23:21:37.347945493 +0100
-@@ -307,6 +307,17 @@
- #define CEC_EXYNOS_VIRTUAL_COM "Exynos"
-
- /*!
-+ * the path to use for the i.MX CEC wire
-+ */
-+#define CEC_IMX_PATH "/dev/mxc_hdmi_cec"
-+
-+/*!
-+ * the name of the virtual COM port to use for the i.MX CEC wire
-+ */
-+#define CEC_IMX_VIRTUAL_COM "i.MX"
-+
-+
-+/*!
- * Mimimum client version
- */
- #define CEC_MIN_LIB_VERSION 2
-@@ -888,7 +899,8 @@
- ADAPTERTYPE_P8_DAUGHTERBOARD = 0x2,
- ADAPTERTYPE_RPI = 0x100,
- ADAPTERTYPE_TDA995x = 0x200,
-- ADAPTERTYPE_EXYNOS = 0x300
-+ ADAPTERTYPE_EXYNOS = 0x300,
-+ ADAPTERTYPE_IMX = 0x400
- } cec_adapter_type;
-
- typedef struct cec_menu_language
-diff -Naur libcec-2.2.0/src/lib/adapter/AdapterFactory.cpp libcec-2.2.0.patch/src/lib/adapter/AdapterFactory.cpp
---- libcec-2.2.0/src/lib/adapter/AdapterFactory.cpp 2014-10-28 16:20:50.000000000 +0100
-+++ libcec-2.2.0.patch/src/lib/adapter/AdapterFactory.cpp 2014-11-10 23:18:08.761485552 +0100
-@@ -57,6 +57,11 @@
- #include "Exynos/ExynosCECAdapterCommunication.h"
- #endif
-
-+#if defined(HAVE_IMX_API)
-+#include "IMX/IMXCECAdapterDetection.h"
-+#include "IMX/IMXCECAdapterCommunication.h"
-+#endif
-+
- using namespace std;
- using namespace CEC;
-
-@@ -127,7 +132,22 @@
- #endif
-
-
--#if !defined(HAVE_RPI_API) && !defined(HAVE_P8_USB) && !defined(HAVE_TDA995X_API)
-+
-+#if defined(HAVE_IMX_API)
-+ if (iAdaptersFound < iBufSize && CIMXCECAdapterDetection::FindAdapter() &&
-+ (!strDevicePath || !strcmp(strDevicePath, CEC_IMX_VIRTUAL_COM)))
-+ {
-+ snprintf(deviceList[iAdaptersFound].strComPath, sizeof(deviceList[iAdaptersFound].strComPath), CEC_IMX_PATH);
-+ snprintf(deviceList[iAdaptersFound].strComName, sizeof(deviceList[iAdaptersFound].strComName), CEC_IMX_VIRTUAL_COM);
-+ deviceList[iAdaptersFound].iVendorId = IMX_ADAPTER_VID;
-+ deviceList[iAdaptersFound].iProductId = IMX_ADAPTER_PID;
-+ deviceList[iAdaptersFound].adapterType = ADAPTERTYPE_IMX;
-+ iAdaptersFound++;
-+ }
-+#endif
-+
-+
-+#if !defined(HAVE_RPI_API) && !defined(HAVE_P8_USB) && !defined(HAVE_TDA995X_API) && !defined(HAVE_IMX_API)
- #error "libCEC doesn't have support for any type of adapter. please check your build system or configuration"
- #endif
-
-@@ -151,11 +171,16 @@
- return new CRPiCECAdapterCommunication(m_lib->m_cec);
- #endif
-
-+#if defined(HAVE_IMX_API)
-+ if (!strcmp(strPort, CEC_IMX_VIRTUAL_COM))
-+ return new CIMXCECAdapterCommunication(m_lib->m_cec);
-+#endif
-+
- #if defined(HAVE_P8_USB)
- return new CUSBCECAdapterCommunication(m_lib->m_cec, strPort, iBaudRate);
- #endif
-
--#if !defined(HAVE_RPI_API) && !defined(HAVE_P8_USB) && !defined(HAVE_TDA995X_API) && !defined(HAVE_EXYNOS_API)
-+#if !defined(HAVE_RPI_API) && !defined(HAVE_P8_USB) && !defined(HAVE_TDA995X_API) && !defined(HAVE_EXYNOS_API) && !defined(HAVE_IMX_API)
- return NULL;
- #endif
- }
-diff -Naur libcec-2.2.0/src/lib/adapter/IMX/AdapterMessageQueue.h libcec-2.2.0.patch/src/lib/adapter/IMX/AdapterMessageQueue.h
---- libcec-2.2.0/src/lib/adapter/IMX/AdapterMessageQueue.h 1970-01-01 01:00:00.000000000 +0100
-+++ libcec-2.2.0.patch/src/lib/adapter/IMX/AdapterMessageQueue.h 2014-11-10 23:14:45.214162390 +0100
-@@ -0,0 +1,134 @@
-+#pragma once
-+/*
-+ * This file is part of the libCEC(R) library.
-+ *
-+ * libCEC(R) is Copyright (C) 2011-2013 Pulse-Eight Limited. All rights reserved.
-+ * libCEC(R) is an original work, containing original code.
-+ *
-+ * libCEC(R) is a trademark of Pulse-Eight Limited.
-+ *
-+ * This program is dual-licensed; you can redistribute it and/or modify
-+ * it under the terms of the GNU General Public License as published by
-+ * the Free Software Foundation; either version 2 of the License, or
-+ * (at your option) any later version.
-+ *
-+ * This program is distributed in the hope that it will be useful,
-+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
-+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-+ * GNU General Public License for more details.
-+ *
-+ * You should have received a copy of the GNU General Public License
-+ * along with this program; if not, write to the Free Software
-+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-+ *
-+ *
-+ * Alternatively, you can license this library under a commercial license,
-+ * please contact Pulse-Eight Licensing for more information.
-+ *
-+ * For more information contact:
-+ * Pulse-Eight Licensing <license@pulse-eight.com>
-+ * http://www.pulse-eight.com/
-+ * http://www.pulse-eight.net/
-+ */
-+
-+#include "lib/platform/threads/mutex.h"
-+
-+namespace CEC
-+{
-+ using namespace PLATFORM;
-+
-+ class CAdapterMessageQueueEntry
-+ {
-+ public:
-+ CAdapterMessageQueueEntry(const cec_command &command)
-+ : m_bWaiting(true), m_retval((uint32_t)-1), m_bSucceeded(false)
-+ {
-+ m_hash = hashValue(
-+ uint32_t(command.opcode_set ? command.opcode : CEC_OPCODE_NONE),
-+ command.initiator, command.destination);
-+ }
-+
-+ virtual ~CAdapterMessageQueueEntry(void) {}
-+
-+ /*!
-+ * @brief Query result from worker thread
-+ */
-+ uint32_t Result() const
-+ {
-+ return m_retval;
-+ }
-+
-+ /*!
-+ * @brief Signal waiting threads
-+ */
-+ void Broadcast(void)
-+ {
-+ CLockObject lock(m_mutex);
-+ m_condition.Broadcast();
-+ }
-+
-+ /*!
-+ * @brief Signal waiting thread(s) when message matches this entry
-+ */
-+ bool CheckMatch(uint32_t opcode, cec_logical_address initiator,
-+ cec_logical_address destination, uint32_t response)
-+ {
-+ uint32_t hash = hashValue(opcode, initiator, destination);
-+
-+ if (hash == m_hash)
-+ {
-+ CLockObject lock(m_mutex);
-+
-+ m_retval = response;
-+ m_bSucceeded = true;
-+ m_condition.Signal();
-+ return true;
-+ }
-+
-+ return false;
-+ }
-+
-+ /*!
-+ * @brief Wait for a response to this command.
-+ * @param iTimeout The timeout to use while waiting.
-+ * @return True when a response was received before the timeout passed, false otherwise.
-+ */
-+ bool Wait(uint32_t iTimeout)
-+ {
-+ CLockObject lock(m_mutex);
-+
-+ bool bReturn = m_bSucceeded ? true : m_condition.Wait(m_mutex, m_bSucceeded, iTimeout);
-+ m_bWaiting = false;
-+ return bReturn;
-+ }
-+
-+ /*!
-+ * @return True while a thread is waiting for a signal or isn't waiting yet, false otherwise.
-+ */
-+ bool IsWaiting(void)
-+ {
-+ CLockObject lock(m_mutex);
-+ return m_bWaiting;
-+ }
-+
-+ /*!
-+ * @return Hash value for given cec_command
-+ */
-+ static uint32_t hashValue(uint32_t opcode,
-+ cec_logical_address initiator,
-+ cec_logical_address destination)
-+ {
-+ return 1 | ((uint32_t)initiator << 8) |
-+ ((uint32_t)destination << 16) | ((uint32_t)opcode << 16);
-+ }
-+
-+ private:
-+ bool m_bWaiting; /**< true while a thread is waiting or when it hasn't started waiting yet */
-+ PLATFORM::CCondition<bool> m_condition; /**< the condition to wait on */
-+ PLATFORM::CMutex m_mutex; /**< mutex for changes to this class */
-+ uint32_t m_hash;
-+ uint32_t m_retval;
-+ bool m_bSucceeded;
-+ };
-+
-+};
-diff -Naur libcec-2.2.0/src/lib/adapter/IMX/IMXCECAdapterCommunication.cpp libcec-2.2.0.patch/src/lib/adapter/IMX/IMXCECAdapterCommunication.cpp
---- libcec-2.2.0/src/lib/adapter/IMX/IMXCECAdapterCommunication.cpp 1970-01-01 01:00:00.000000000 +0100
-+++ libcec-2.2.0.patch/src/lib/adapter/IMX/IMXCECAdapterCommunication.cpp 2014-11-10 23:14:45.217161982 +0100
-@@ -0,0 +1,328 @@
-+/*
-+ * This file is part of the libCEC(R) library.
-+ *
-+ * libCEC(R) is Copyright (C) 2011-2013 Pulse-Eight Limited. All rights reserved.
-+ * libCEC(R) is an original work, containing original code.
-+ *
-+ * libCEC(R) is a trademark of Pulse-Eight Limited.
-+ *
-+ * IMX adpater port is Copyright (C) 2013 by Stephan Rafin
-+ *
-+ * You can redistribute this file and/or modify
-+ * it under the terms of the GNU General Public License as published by
-+ * the Free Software Foundation; either version 2 of the License, or
-+ * (at your option) any later version.
-+ *
-+ * This program is distributed in the hope that it will be useful,
-+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
-+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-+ * GNU General Public License for more details.
-+ *
-+ * You should have received a copy of the GNU General Public License
-+ * along with this program; if not, write to the Free Software
-+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-+ *
-+ *
-+ */
-+
-+#include "env.h"
-+
-+#if defined(HAVE_IMX_API)
-+#include "IMXCECAdapterCommunication.h"
-+
-+#include "lib/CECTypeUtils.h"
-+#include "lib/LibCEC.h"
-+#include "lib/platform/sockets/cdevsocket.h"
-+#include "lib/platform/util/StdString.h"
-+#include "lib/platform/util/buffer.h"
-+
-+/*
-+ * Ioctl definitions from kernel header
-+ */
-+#define HDMICEC_IOC_MAGIC 'H'
-+#define HDMICEC_IOC_SETLOGICALADDRESS _IOW(HDMICEC_IOC_MAGIC, 1, unsigned char)
-+#define HDMICEC_IOC_STARTDEVICE _IO(HDMICEC_IOC_MAGIC, 2)
-+#define HDMICEC_IOC_STOPDEVICE _IO(HDMICEC_IOC_MAGIC, 3)
-+#define HDMICEC_IOC_GETPHYADDRESS _IOR(HDMICEC_IOC_MAGIC, 4, unsigned char[4])
-+
-+#define MAX_CEC_MESSAGE_LEN 17
-+
-+#define MESSAGE_TYPE_RECEIVE_SUCCESS 1
-+#define MESSAGE_TYPE_NOACK 2
-+#define MESSAGE_TYPE_DISCONNECTED 3
-+#define MESSAGE_TYPE_CONNECTED 4
-+#define MESSAGE_TYPE_SEND_SUCCESS 5
-+
-+typedef struct hdmi_cec_event{
-+ int event_type;
-+ int msg_len;
-+ unsigned char msg[MAX_CEC_MESSAGE_LEN];
-+}hdmi_cec_event;
-+
-+
-+using namespace std;
-+using namespace CEC;
-+using namespace PLATFORM;
-+
-+#include "AdapterMessageQueue.h"
-+
-+#define LIB_CEC m_callback->GetLib()
-+
-+// these are defined in nxp private header file
-+#define CEC_MSG_SUCCESS 0x00 /*Message transmisson Succeed*/
-+#define CEC_CSP_OFF_STATE 0x80 /*CSP in Off State*/
-+#define CEC_BAD_REQ_SERVICE 0x81 /*Bad .req service*/
-+#define CEC_MSG_FAIL_UNABLE_TO_ACCESS 0x82 /*Message transmisson failed: Unable to access CEC line*/
-+#define CEC_MSG_FAIL_ARBITRATION_ERROR 0x83 /*Message transmisson failed: Arbitration error*/
-+#define CEC_MSG_FAIL_BIT_TIMMING_ERROR 0x84 /*Message transmisson failed: Bit timming error*/
-+#define CEC_MSG_FAIL_DEST_NOT_ACK 0x85 /*Message transmisson failed: Destination Address not aknowledged*/
-+#define CEC_MSG_FAIL_DATA_NOT_ACK 0x86 /*Message transmisson failed: Databyte not acknowledged*/
-+
-+
-+CIMXCECAdapterCommunication::CIMXCECAdapterCommunication(IAdapterCommunicationCallback *callback) :
-+ IAdapterCommunication(callback)/*,
-+ m_bLogicalAddressChanged(false)*/
-+{
-+ CLockObject lock(m_mutex);
-+
-+ m_iNextMessage = 0;
-+ //m_logicalAddresses.Clear();
-+ m_logicalAddress = CECDEVICE_UNKNOWN;
-+ m_bLogicalAddressRegistered = false;
-+ m_bInitialised = false;
-+ m_dev = new CCDevSocket(CEC_IMX_PATH);
-+}
-+
-+CIMXCECAdapterCommunication::~CIMXCECAdapterCommunication(void)
-+{
-+ Close();
-+
-+ CLockObject lock(m_mutex);
-+ delete m_dev;
-+ m_dev = 0;
-+}
-+
-+bool CIMXCECAdapterCommunication::IsOpen(void)
-+{
-+ return IsInitialised() && m_dev->IsOpen();
-+}
-+
-+bool CIMXCECAdapterCommunication::Open(uint32_t iTimeoutMs, bool UNUSED(bSkipChecks), bool bStartListening)
-+{
-+ if (m_dev->Open(iTimeoutMs))
-+ {
-+ if (!bStartListening || CreateThread()) {
-+ if (m_dev->Ioctl(HDMICEC_IOC_STARTDEVICE, NULL) == 0) {
-+ m_bInitialised = true;
-+ return true;
-+ }
-+ LIB_CEC->AddLog(CEC_LOG_ERROR, "%s: Unable to start device\n", __func__);
-+ }
-+ m_dev->Close();
-+ }
-+
-+ return false;
-+}
-+
-+
-+void CIMXCECAdapterCommunication::Close(void)
-+{
-+ StopThread(0);
-+
-+ CLockObject lock(m_mutex);
-+ if (!m_bInitialised) {
-+ return;
-+ }
-+ if (m_dev->Ioctl(HDMICEC_IOC_STOPDEVICE, NULL) != 0) {
-+ LIB_CEC->AddLog(CEC_LOG_ERROR, "%s: Unable to stop device\n", __func__);
-+ }
-+ m_dev->Close();
-+ m_bInitialised = false;
-+}
-+
-+
-+std::string CIMXCECAdapterCommunication::GetError(void) const
-+{
-+ std::string strError(m_strError);
-+ return strError;
-+}
-+
-+
-+cec_adapter_message_state CIMXCECAdapterCommunication::Write(
-+ const cec_command &data, bool &UNUSED(bRetry), uint8_t UNUSED(iLineTimeout), bool UNUSED(bIsReply))
-+{
-+ //cec_frame frame;
-+ unsigned char message[MAX_CEC_MESSAGE_LEN];
-+ int msg_len = 1;
-+ cec_adapter_message_state rc = ADAPTER_MESSAGE_STATE_ERROR;
-+
-+ if ((size_t)data.parameters.size + data.opcode_set + 1 > sizeof(message))
-+ {
-+ LIB_CEC->AddLog(CEC_LOG_ERROR, "%s: data size too large !", __func__);
-+ return ADAPTER_MESSAGE_STATE_ERROR;
-+ }
-+
-+ message[0] = (data.initiator << 4) | (data.destination & 0x0f);
-+ if (data.opcode_set)
-+ {
-+ message[1] = data.opcode;
-+ msg_len++;
-+ memcpy(&message[2], data.parameters.data, data.parameters.size);
-+ msg_len+=data.parameters.size;
-+ }
-+
-+ if (m_dev->Write(message, msg_len) == msg_len)
-+ {
-+ rc = ADAPTER_MESSAGE_STATE_SENT_ACKED;
-+ }
-+ else
-+ LIB_CEC->AddLog(CEC_LOG_ERROR, "%s: sent command error !", __func__);
-+
-+ return rc;
-+}
-+
-+
-+uint16_t CIMXCECAdapterCommunication::GetFirmwareVersion(void)
-+{
-+ /* FIXME add ioctl ? */
-+ return 0;
-+}
-+
-+
-+cec_vendor_id CIMXCECAdapterCommunication::GetVendorId(void)
-+{
-+ return CEC_VENDOR_UNKNOWN;
-+}
-+
-+
-+uint16_t CIMXCECAdapterCommunication::GetPhysicalAddress(void)
-+{
-+ uint32_t info;
-+ uint16_t phy_addr;
-+
-+ if (m_dev->Ioctl(HDMICEC_IOC_GETPHYADDRESS, &info) != 0)
-+ {
-+ LIB_CEC->AddLog(CEC_LOG_ERROR, "%s: HDMICEC_IOC_GETPHYADDRESS failed !", __func__);
-+ return CEC_INVALID_PHYSICAL_ADDRESS;
-+ }
-+ /* Rebuild 16 bit raw value from fsl 32 bits value */
-+ phy_addr = ((info & 0x0f) << 12) | (info & 0x0f00) |
-+ ((info & 0x0f0000) >> 12) | ((info & 0x0f000000) >> 24);
-+
-+ return phy_addr;
-+}
-+
-+
-+cec_logical_addresses CIMXCECAdapterCommunication::GetLogicalAddresses(void)
-+{
-+ cec_logical_addresses addresses;
-+ addresses.Clear();
-+
-+ CLockObject lock(m_mutex);
-+ if ((m_logicalAddress & (CECDEVICE_UNKNOWN | CECDEVICE_UNREGISTERED)) == 0)
-+ addresses.Set(m_logicalAddress);
-+
-+ return addresses;
-+}
-+
-+void CIMXCECAdapterCommunication::HandleLogicalAddressLost(cec_logical_address UNUSED(oldAddress))
-+{
-+ UnregisterLogicalAddress();
-+}
-+
-+bool CIMXCECAdapterCommunication::UnregisterLogicalAddress(void)
-+{
-+ CLockObject lock(m_mutex);
-+ if (!m_bLogicalAddressRegistered)
-+ return true;
-+
-+ if (m_dev->Ioctl(HDMICEC_IOC_SETLOGICALADDRESS, (void *)CECDEVICE_BROADCAST) != 0)
-+ {
-+ LIB_CEC->AddLog(CEC_LOG_ERROR, "%s: HDMICEC_IOC_SETLOGICALADDRESS failed !", __func__);
-+ return false;
-+ }
-+
-+ m_logicalAddress = CECDEVICE_UNKNOWN;
-+ m_bLogicalAddressRegistered = false;
-+ return true;
-+}
-+
-+bool CIMXCECAdapterCommunication::RegisterLogicalAddress(const cec_logical_address address)
-+{
-+ CLockObject lock(m_mutex);
-+
-+ if (m_logicalAddress == address && m_bLogicalAddressRegistered)
-+ {
-+ return true;
-+ }
-+
-+ if (m_dev->Ioctl(HDMICEC_IOC_SETLOGICALADDRESS, (void *)address) != 0)
-+ {
-+ LIB_CEC->AddLog(CEC_LOG_ERROR, "%s: HDMICEC_IOC_SETLOGICALADDRESS failed !", __func__);
-+ return false;
-+ }
-+
-+ m_logicalAddress = address;
-+ m_bLogicalAddressRegistered = true;
-+ return true;
-+}
-+
-+bool CIMXCECAdapterCommunication::SetLogicalAddresses(const cec_logical_addresses &addresses)
-+{
-+ int log_addr = addresses.primary;
-+
-+ return RegisterLogicalAddress((cec_logical_address)log_addr);
-+}
-+
-+void *CIMXCECAdapterCommunication::Process(void)
-+{
-+ bool bHandled;
-+ hdmi_cec_event event;
-+ int ret;
-+
-+ uint32_t opcode, status;
-+ cec_logical_address initiator, destination;
-+
-+ while (!IsStopped())
-+ {
-+ ret = m_dev->Read((char *)&event, sizeof(event), 5000);
-+ if (ret > 0)
-+ {
-+
-+ initiator = cec_logical_address(event.msg[0] >> 4);
-+ destination = cec_logical_address(event.msg[0] & 0x0f);
-+
-+ //LIB_CEC->AddLog(CEC_LOG_DEBUG, "%s: Read data : type : %d initiator %d dest %d", __func__, event.event_type, initiator, destination);
-+ if (event.event_type == MESSAGE_TYPE_RECEIVE_SUCCESS)
-+ /* Message received */
-+ {
-+ cec_command cmd;
-+
-+ cec_command::Format(
-+ cmd, initiator, destination,
-+ ( event.msg_len > 1 ) ? cec_opcode(event.msg[1]) : CEC_OPCODE_NONE);
-+
-+ for( uint8_t i = 2; i < event.msg_len; i++ )
-+ cmd.parameters.PushBack(event.msg[i]);
-+
-+ if (!IsStopped())
-+ m_callback->OnCommandReceived(cmd);
-+ }
-+
-+ if (event.event_type == MESSAGE_TYPE_CONNECTED)
-+ /* HDMI has just been reconnected - Notify phy address*/
-+ {
-+ uint16_t iNewAddress = GetPhysicalAddress();
-+ m_callback->HandlePhysicalAddressChanged(iNewAddress);
-+ }
-+ /* We are not interested in other events */
-+ } /*else {
-+ LIB_CEC->AddLog(CEC_LOG_DEBUG, "%s: Read returned %d", __func__, ret);
-+ }*/
-+
-+ }
-+
-+ return 0;
-+}
-+
-+#endif // HAVE_IMX_API
-diff -Naur libcec-2.2.0/src/lib/adapter/IMX/IMXCECAdapterCommunication.h libcec-2.2.0.patch/src/lib/adapter/IMX/IMXCECAdapterCommunication.h
---- libcec-2.2.0/src/lib/adapter/IMX/IMXCECAdapterCommunication.h 1970-01-01 01:00:00.000000000 +0100
-+++ libcec-2.2.0.patch/src/lib/adapter/IMX/IMXCECAdapterCommunication.h 2014-11-10 23:14:45.217161982 +0100
-@@ -0,0 +1,119 @@
-+#pragma once
-+/*
-+ * This file is part of the libCEC(R) library.
-+ *
-+ * libCEC(R) is Copyright (C) 2011-2013 Pulse-Eight Limited. All rights reserved.
-+ * libCEC(R) is an original work, containing original code.
-+ *
-+ * libCEC(R) is a trademark of Pulse-Eight Limited.
-+ *
-+ * IMX adpater port is Copyright (C) 2013 by Stephan Rafin
-+ *
-+ * You can redistribute this file and/or modify
-+ * it under the terms of the GNU General Public License as published by
-+ * the Free Software Foundation; either version 2 of the License, or
-+ * (at your option) any later version.
-+ *
-+ * This program is distributed in the hope that it will be useful,
-+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
-+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-+ * GNU General Public License for more details.
-+ *
-+ * You should have received a copy of the GNU General Public License
-+ * along with this program; if not, write to the Free Software
-+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-+ *
-+ *
-+ */
-+
-+#if defined(HAVE_IMX_API)
-+
-+#include "lib/platform/threads/mutex.h"
-+#include "lib/platform/threads/threads.h"
-+#include "lib/platform/sockets/socket.h"
-+#include "lib/adapter/AdapterCommunication.h"
-+#include <map>
-+
-+#define IMX_ADAPTER_VID 0x0471 /*FIXME TBD*/
-+#define IMX_ADAPTER_PID 0x1001
-+
-+
-+
-+namespace PLATFORM
-+{
-+ class CCDevSocket;
-+};
-+
-+
-+namespace CEC
-+{
-+ class CAdapterMessageQueueEntry;
-+
-+ class CIMXCECAdapterCommunication : public IAdapterCommunication, public PLATFORM::CThread
-+ {
-+ public:
-+ /*!
-+ * @brief Create a new USB-CEC communication handler.
-+ * @param callback The callback to use for incoming CEC commands.
-+ */
-+ CIMXCECAdapterCommunication(IAdapterCommunicationCallback *callback);
-+ virtual ~CIMXCECAdapterCommunication(void);
-+
-+ /** @name IAdapterCommunication implementation */
-+ ///{
-+ bool Open(uint32_t iTimeoutMs = CEC_DEFAULT_CONNECT_TIMEOUT, bool bSkipChecks = false, bool bStartListening = true);
-+ void Close(void);
-+ bool IsOpen(void);
-+ std::string GetError(void) const;
-+ cec_adapter_message_state Write(const cec_command &data, bool &bRetry, uint8_t iLineTimeout, bool bIsReply);
-+
-+ bool SetLineTimeout(uint8_t UNUSED(iTimeout)) { return true; }
-+ bool StartBootloader(void) { return false; }
-+ bool SetLogicalAddresses(const cec_logical_addresses &addresses);
-+ cec_logical_addresses GetLogicalAddresses(void);
-+ bool PingAdapter(void) { return IsInitialised(); }
-+ uint16_t GetFirmwareVersion(void);
-+ uint32_t GetFirmwareBuildDate(void) { return 0; }
-+ bool IsRunningLatestFirmware(void) { return true; }
-+ bool PersistConfiguration(const libcec_configuration & UNUSED(configuration)) { return false; }
-+ bool GetConfiguration(libcec_configuration & UNUSED(configuration)) { return false; }
-+ std::string GetPortName(void) { return std::string("IMX"); }
-+ uint16_t GetPhysicalAddress(void);
-+ bool SetControlledMode(bool UNUSED(controlled)) { return true; }
-+ cec_vendor_id GetVendorId(void);
-+ bool SupportsSourceLogicalAddress(const cec_logical_address address) { return address > CECDEVICE_TV && address <= CECDEVICE_BROADCAST; }
-+ cec_adapter_type GetAdapterType(void) { return ADAPTERTYPE_IMX; }
-+ uint16_t GetAdapterVendorId(void) const { return IMX_ADAPTER_VID; }
-+ uint16_t GetAdapterProductId(void) const { return IMX_ADAPTER_PID; }
-+ void HandleLogicalAddressLost(cec_logical_address UNUSED(oldAddress));
-+ void SetActiveSource(bool UNUSED(bSetTo), bool UNUSED(bClientUnregistered)) {}
-+ bool RegisterLogicalAddress(const cec_logical_address address);
-+ ///}
-+
-+ /** @name PLATFORM::CThread implementation */
-+ ///{
-+ void *Process(void);
-+ ///}
-+
-+ private:
-+ bool IsInitialised(void) const { return m_bInitialised; };
-+ bool UnregisterLogicalAddress(void);
-+
-+ std::string m_strError; /**< current error message */
-+
-+ //cec_logical_addresses m_logicalAddresses;
-+ cec_logical_address m_logicalAddress;
-+
-+ PLATFORM::CMutex m_mutex;
-+ PLATFORM::CCDevSocket *m_dev; /**< the device connection */
-+ bool m_bLogicalAddressRegistered;
-+ bool m_bInitialised;
-+
-+ PLATFORM::CMutex m_messageMutex;
-+ uint32_t m_iNextMessage;
-+ std::map<uint32_t, CAdapterMessageQueueEntry *> m_messages;
-+ };
-+
-+};
-+
-+#endif
-diff -Naur libcec-2.2.0/src/lib/adapter/IMX/IMXCECAdapterDetection.cpp libcec-2.2.0.patch/src/lib/adapter/IMX/IMXCECAdapterDetection.cpp
---- libcec-2.2.0/src/lib/adapter/IMX/IMXCECAdapterDetection.cpp 1970-01-01 01:00:00.000000000 +0100
-+++ libcec-2.2.0.patch/src/lib/adapter/IMX/IMXCECAdapterDetection.cpp 2014-11-10 23:14:45.215162253 +0100
-@@ -0,0 +1,42 @@
-+/*
-+ * This file is part of the libCEC(R) library.
-+ *
-+ * libCEC(R) is Copyright (C) 2011-2013 Pulse-Eight Limited. All rights reserved.
-+ * libCEC(R) is an original work, containing original code.
-+ *
-+ * libCEC(R) is a trademark of Pulse-Eight Limited.
-+ *
-+ * IMX adpater port is Copyright (C) 2013 by Stephan Rafin
-+ *
-+ * You can redistribute this file and/or modify
-+ * it under the terms of the GNU General Public License as published by
-+ * the Free Software Foundation; either version 2 of the License, or
-+ * (at your option) any later version.
-+ *
-+ * This program is distributed in the hope that it will be useful,
-+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
-+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-+ * GNU General Public License for more details.
-+ *
-+ * You should have received a copy of the GNU General Public License
-+ * along with this program; if not, write to the Free Software
-+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-+ *
-+ *
-+ */
-+
-+#include "env.h"
-+#include <stdio.h>
-+
-+#if defined(HAVE_IMX_API)
-+#include "IMXCECAdapterDetection.h"
-+
-+
-+using namespace CEC;
-+
-+bool CIMXCECAdapterDetection::FindAdapter(void)
-+{
-+ return access(CEC_IMX_PATH, 0) == 0;
-+}
-+
-+#endif
-diff -Naur libcec-2.2.0/src/lib/adapter/IMX/IMXCECAdapterDetection.h libcec-2.2.0.patch/src/lib/adapter/IMX/IMXCECAdapterDetection.h
---- libcec-2.2.0/src/lib/adapter/IMX/IMXCECAdapterDetection.h 1970-01-01 01:00:00.000000000 +0100
-+++ libcec-2.2.0.patch/src/lib/adapter/IMX/IMXCECAdapterDetection.h 2014-11-10 23:14:45.215162253 +0100
-@@ -0,0 +1,36 @@
-+#pragma once
-+/*
-+ * This file is part of the libCEC(R) library.
-+ *
-+ * libCEC(R) is Copyright (C) 2011-2013 Pulse-Eight Limited. All rights reserved.
-+ * libCEC(R) is an original work, containing original code.
-+ *
-+ * libCEC(R) is a trademark of Pulse-Eight Limited.
-+ *
-+ * IMX adpater port is Copyright (C) 2013 by Stephan Rafin
-+ *
-+ * You can redistribute this file and/or modify
-+ * it under the terms of the GNU General Public License as published by
-+ * the Free Software Foundation; either version 2 of the License, or
-+ * (at your option) any later version.
-+ *
-+ * This program is distributed in the hope that it will be useful,
-+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
-+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-+ * GNU General Public License for more details.
-+ *
-+ * You should have received a copy of the GNU General Public License
-+ * along with this program; if not, write to the Free Software
-+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-+ *
-+ *
-+ */
-+
-+namespace CEC
-+{
-+ class CIMXCECAdapterDetection
-+ {
-+ public:
-+ static bool FindAdapter(void);
-+ };
-+}
-diff -Naur libcec-2.2.0/src/lib/CECTypeUtils.h libcec-2.2.0.patch/src/lib/CECTypeUtils.h
---- libcec-2.2.0/src/lib/CECTypeUtils.h 2014-10-28 16:20:50.000000000 +0100
-+++ libcec-2.2.0.patch/src/lib/CECTypeUtils.h 2014-11-10 23:14:45.212162668 +0100
-@@ -877,6 +877,8 @@
- return "Raspberry Pi";
- case ADAPTERTYPE_TDA995x:
- return "TDA995x";
-+ case ADAPTERTYPE_IMX:
-+ return "i.MX";
- default:
- return "unknown";
- }
-diff -Naur libcec-2.2.0/src/lib/Makefile.am libcec-2.2.0.patch/src/lib/Makefile.am
---- libcec-2.2.0/src/lib/Makefile.am 2014-10-28 16:20:50.000000000 +0100
-+++ libcec-2.2.0.patch/src/lib/Makefile.am 2014-11-10 23:20:02.597700521 +0100
-@@ -63,6 +63,12 @@
- adapter/TDA995x/TDA995xCECAdapterCommunication.cpp
- endif
-
-+## i.MX6 support
-+if USE_IMX_API
-+libcec_la_SOURCES += adapter/IMX/IMXCECAdapterDetection.cpp \
-+ adapter/IMX/IMXCECAdapterCommunication.cpp
-+endif
-+
- ## Exynos support
- if USE_EXYNOS_API
- libcec_la_SOURCES += adapter/Exynos/ExynosCECAdapterDetection.cpp \
diff --git a/package/libcec/patches/patch-src_cec-client_CMakeLists_txt b/package/libcec/patches/patch-src_cec-client_CMakeLists_txt
new file mode 100644
index 000000000..c6faee0ef
--- /dev/null
+++ b/package/libcec/patches/patch-src_cec-client_CMakeLists_txt
@@ -0,0 +1,10 @@
+--- libcec-185559110dc88aeca0915a90b3b369d2d42c0f7c.orig/src/cec-client/CMakeLists.txt 2015-05-22 14:47:17.000000000 -0500
++++ libcec-185559110dc88aeca0915a90b3b369d2d42c0f7c/src/cec-client/CMakeLists.txt 2015-05-22 15:02:00.606971031 -0500
+@@ -44,6 +44,7 @@ if (NOT WIN32)
+ # curses
+ if (HAVE_CURSES_API)
+ target_link_libraries(cec-client curses)
++ target_link_libraries(cec-client tinfo)
+ endif()
+
+ # rt
diff --git a/package/libcec/patches/patch-src_lib_libcec_pc_in b/package/libcec/patches/patch-src_lib_libcec_pc_in
deleted file mode 100644
index 5b71c1d66..000000000
--- a/package/libcec/patches/patch-src_lib_libcec_pc_in
+++ /dev/null
@@ -1,9 +0,0 @@
---- libcec-2.2.0.orig/src/lib/libcec.pc.in 2014-11-11 13:49:38.000000000 -0600
-+++ libcec-2.2.0/src/lib/libcec.pc.in 2014-11-12 13:51:02.466501999 -0600
-@@ -7,6 +7,5 @@ Name: libcec
- Description: Pulse-Eight CEC adapter library
- URL: http://www.pulse-eight.com/
- Version: @VERSION@
--Requires: @REQUIRES@
- Libs: -L${libdir} -lcec
- Cflags: -I${includedir} -I${includedir}/libcec
diff --git a/package/libcec/patches/patch-src_libcec_libcec_pc_in b/package/libcec/patches/patch-src_libcec_libcec_pc_in
new file mode 100644
index 000000000..a02669b30
--- /dev/null
+++ b/package/libcec/patches/patch-src_libcec_libcec_pc_in
@@ -0,0 +1,16 @@
+--- libcec-185559110dc88aeca0915a90b3b369d2d42c0f7c.orig/src/libcec/libcec.pc.in 2015-05-22 14:47:17.000000000 -0500
++++ libcec-185559110dc88aeca0915a90b3b369d2d42c0f7c/src/libcec/libcec.pc.in 2015-05-22 17:41:18.558883524 -0500
+@@ -1,12 +1,11 @@
+ prefix=@prefix@
+ exec_prefix=@exec_prefix@
+ libdir=@libdir@
+-includedir=@includedir@
++includedir=${prefix}/include
+
+ Name: libcec
+ Description: Pulse-Eight libCEC @LIBCEC_VERSION_MAJOR@.@LIBCEC_VERSION_MINOR@.@LIBCEC_VERSION_PATCH@
+ URL: http://www.pulse-eight.com/
+ Version: @LIBCEC_VERSION_MAJOR@.@LIBCEC_VERSION_MINOR@.@LIBCEC_VERSION_PATCH@
+-Requires: @LIBCEC_LIBREQUIRES@
+ Libs: -L${libdir} -lcec
+ Cflags: -I${includedir} -I${includedir}/libcec
diff --git a/package/libsquish/Makefile b/package/libsquish/Makefile
new file mode 100644
index 000000000..5ce5e6fcd
--- /dev/null
+++ b/package/libsquish/Makefile
@@ -0,0 +1,25 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include $(ADK_TOPDIR)/rules.mk
+
+PKG_NAME:= libsquish
+PKG_VERSION:= 1.10
+PKG_RELEASE:= 1
+PKG_HASH:= a0118a79d927058b656e94dc4ffce5da37839962e4952be1fedbbdd901b42848
+PKG_DESCR:= c++ compression library
+PKG_SECTION:= libs/misc
+PKG_SITES:= http://sources.openelec.tv/devel/
+PKG_OPTS:= dev
+
+DISTFILES:= $(PKG_NAME)-$(PKG_VERSION)-openelec.tar.gz
+WRKDIST= ${WRKDIR}/${PKG_NAME}-$(PKG_VERSION)-openelec
+
+include $(ADK_TOPDIR)/mk/package.mk
+
+$(eval $(call PKG_template,LIBSQUISH,libsquish,$(PKG_VERSION)-$(PKG_RELEASE),$(PKG_DEPENDS),$(PKG_DESCR),$(PKG_SECTION),$(PKG_OPTS)))
+
+CONFIG_STYLE:= manual
+XAKE_FLAGS+= INSTALL_DIR="${WRKINST}/usr"
+
+include $(ADK_TOPDIR)/mk/pkg-bottom.mk
diff --git a/package/libsquish/patches/patch-Makefile b/package/libsquish/patches/patch-Makefile
new file mode 100644
index 000000000..702db40f5
--- /dev/null
+++ b/package/libsquish/patches/patch-Makefile
@@ -0,0 +1,10 @@
+--- libsquish-1.10-openelec.orig/Makefile 2015-01-09 09:52:04.000000000 -0600
++++ libsquish-1.10-openelec/Makefile 2015-05-22 16:32:55.398921290 -0500
+@@ -10,6 +10,7 @@ LIB = libsquish.a
+ all : $(LIB) squish.pc
+
+ install : $(LIB) squish.pc
++ mkdir -p $(INSTALL_DIR)/include $(INSTALL_DIR)/lib/pkgconfig
+ install squish.h $(INSTALL_DIR)/include
+ install libsquish.a $(INSTALL_DIR)/lib
+ install squish.pc $(INSTALL_DIR)/lib/pkgconfig
diff --git a/package/openssl/Makefile b/package/openssl/Makefile
index e2e310e53..873cc81b4 100644
--- a/package/openssl/Makefile
+++ b/package/openssl/Makefile
@@ -5,7 +5,7 @@ include ${ADK_TOPDIR}/rules.mk
PKG_NAME:= openssl
PKG_VERSION:= 1.0.2a
-PKG_RELEASE:= 3
+PKG_RELEASE:= 5
PKG_HASH:= 15b6393c20030aab02c8e2fe0243cb1d1d18062f6c095d67bca91871dc7f324a
PKG_DESCR:= secure socket layer libraries
PKG_SECTION:= libs/crypto
@@ -15,6 +15,7 @@ PKG_URL:= http://www.openssl.org/
PKG_SITES:= http://www.openssl.org/source/
PKG_LIBNAME:= libopenssl
PKG_OPTS:= dev
+PKG_NOPARALLEL:= 1
DISTFILES:= ${PKG_NAME}-${PKG_VERSION}.tar.gz
diff --git a/package/platform/Makefile b/package/platform/Makefile
new file mode 100644
index 000000000..d413198ce
--- /dev/null
+++ b/package/platform/Makefile
@@ -0,0 +1,25 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include $(ADK_TOPDIR)/rules.mk
+
+PKG_NAME:= platform
+PKG_VERSION:= aafa6e9f3b86f2258f5f75809849743b1779072b
+PKG_RELEASE:= 1
+PKG_DESCR:= platform library used by libcec
+PKG_SECTION:= libs/misc
+PKG_URL:= https://github.com/Pulse-Eight/platform
+PKG_SITES:= https://github.com/Pulse-Eight/platform.git
+PKG_LIBNAME:= libplatform
+PKG_OPTS:= dev
+
+include $(ADK_TOPDIR)/mk/package.mk
+
+$(eval $(call PKG_template,LIBPLATFORM,libplatform,$(PKG_VERSION)-$(PKG_RELEASE),$(PKG_DEPENDS),$(PKG_DESCR),$(PKG_SECTION),$(PKG_OPTS)))
+
+CONFIG_STYLE:= cmake
+
+libplatform-install:
+ :
+
+include $(ADK_TOPDIR)/mk/pkg-bottom.mk
diff --git a/package/swig/Makefile b/package/swig/Makefile
index b885166df..a68622258 100644
--- a/package/swig/Makefile
+++ b/package/swig/Makefile
@@ -4,9 +4,9 @@
include $(ADK_TOPDIR)/rules.mk
PKG_NAME:= swig
-PKG_VERSION:= 2.0.11
-PKG_RELEASE:= 2
-PKG_HASH:= 63780bf29f53937ad399a1f68bccb3730c90f65746868c4cdfc25cafcd0a424e
+PKG_VERSION:= 3.0.5
+PKG_RELEASE:= 1
+PKG_HASH:= 9f4cb9e8f213f041853646f58fe5e8428d63250d05f5c943b6fa759c77322a3c
PKG_DESCR:= swig utility
PKG_SECTION:= dev/tools
PKG_URL:= http://www.swig.org/
@@ -14,7 +14,7 @@ PKG_SITES:= ${MASTER_SITE_SOURCEFORGE:=swig/}
DISTFILES:= ${PKG_NAME}-${PKG_VERSION}.tar.gz
-PKG_ARCH_DEPENDS:= native
+PKG_CFLINE_SWIG:= depends on ADK_HOST_ONLY
include $(ADK_TOPDIR)/mk/host.mk
include $(ADK_TOPDIR)/mk/package.mk
diff --git a/package/tinyxml/Makefile b/package/tinyxml/Makefile
index 1e124faba..692f51343 100644
--- a/package/tinyxml/Makefile
+++ b/package/tinyxml/Makefile
@@ -25,10 +25,12 @@ CONFIG_STYLE:= manual
INSTALL_STYLE:= manual
tinyxml-install:
- $(INSTALL_DIR) $(IDIR_TINYXML)/usr/lib
+ $(INSTALL_DIR) $(IDIR_TINYXML)/usr/lib/
$(CP) $(WRKBUILD)/libtinyxml*.so* \
$(IDIR_TINYXML)/usr/lib
$(INSTALL_DATA) $(WRKBUILD)/tiny{str,xml}.h \
$(STAGING_TARGET_DIR)/usr/include
+ $(INSTALL_DATA) ./files/tinyxml.pc \
+ $(STAGING_TARGET_DIR)/usr/lib/pkgconfig
include ${ADK_TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/tinyxml/files/tinyxml.pc b/package/tinyxml/files/tinyxml.pc
new file mode 100644
index 000000000..684b090cd
--- /dev/null
+++ b/package/tinyxml/files/tinyxml.pc
@@ -0,0 +1,10 @@
+prefix=/usr
+exec_prefix=${prefix}
+libdir=${exec_prefix}/lib
+includedir=${prefix}/include
+
+Name: TinyXml
+Description: simple, small, C++ XML parser
+Version: 2.6.2
+Libs: -L${libdir} -ltinyxml
+Cflags: -I${includedir}
diff --git a/package/tmsnc/patches/patch-config_log b/package/tmsnc/patches/patch-config_log
deleted file mode 100644
index 21661b7ce..000000000
--- a/package/tmsnc/patches/patch-config_log
+++ /dev/null
@@ -1,797 +0,0 @@
-$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
---- tmsnc-0.3.2.orig/config.log 2006-10-17 13:14:23.000000000 +0200
-+++ tmsnc-0.3.2/config.log 2012-07-26 13:54:40.000000000 +0200
-@@ -4,34 +4,52 @@ running configure, to aid debugging if c
- It was created by configure, which was
- generated by GNU Autoconf 2.60a. Invocation command line was
-
-- $ ./configure
-+ $ /Volumes/adk/openadk/build_qemu_mipsel_uclibc/w-tmsnc-0.3.2-1/tmsnc-0.3.2/configure --build=i686-apple-darwin10 --host=mipsel-openadk-linux --target=mipsel-openadk-linux --program-prefix= --program-suffix= --prefix=/usr --bindir=/usr/bin --datadir=/usr/share --mandir=/usr/share/man --libexecdir=/usr/libexec --localstatedir=/var --sysconfdir=/etc --enable-shared --enable-static --disable-dependency-tracking --disable-libtool-lock --disable-nls --with-libiconv-prefix=/Volumes/adk/openadk/target_mipsel_uclibc/usr --with-openssl=/Volumes/adk/openadk/target_mipsel_uclibc/usr --with-ncurses=/Volumes/adk/openadk/target_mipsel_uclibc
-
- ## --------- ##
- ## Platform. ##
- ## --------- ##
-
--hostname = prophet
--uname -m = i686
--uname -r = 2.6.18-mactel
--uname -s = Linux
--uname -v = #1 SMP Tue Oct 10 12:17:51 CEST 2006
-+hostname = neon.localdomain
-+uname -m = i386
-+uname -r = 10.8.0
-+uname -s = Darwin
-+uname -v = Darwin Kernel Version 10.8.0: Tue Jun 7 16:33:36 PDT 2011; root:xnu-1504.15.3~1/RELEASE_I386
-
--/usr/bin/uname -p = unknown
-+/usr/bin/uname -p = i386
- /bin/uname -X = unknown
-
--/bin/arch = i686
-+/bin/arch = unknown
- /usr/bin/arch -k = unknown
- /usr/convex/getsysinfo = unknown
--/usr/bin/hostinfo = unknown
-+/usr/bin/hostinfo = Mach kernel version:
-+ Darwin Kernel Version 10.8.0: Tue Jun 7 16:33:36 PDT 2011; root:xnu-1504.15.3~1/RELEASE_I386
-+Kernel configured for up to 2 processors.
-+2 processors are physically available.
-+2 processors are logically available.
-+Processor type: i486 (Intel 80486)
-+Processors active: 0 1
-+Primary memory available: 4.00 gigabytes
-+Default processor set: 87 tasks, 378 threads, 2 processors
-+Load average: 1.56, Mach factor: 0.88
- /bin/machine = unknown
- /usr/bin/oslevel = unknown
- /bin/universe = unknown
-
--PATH: /usr/local/bin
-+PATH: /Volumes/adk/openadk/scripts
-+PATH: /Volumes/adk/openadk/bin/tools
-+PATH: /Volumes/adk/openadk/host_mipsel_uclibc/bin
-+PATH: /Volumes/adk/openadk/host_mipsel_uclibc/usr/bin
-+PATH: /Volumes/adk/openadk/target_mipsel_uclibc/scripts
-+PATH: /opt/local/bin
-+PATH: /opt/local/sbin
- PATH: /usr/bin
- PATH: /bin
--PATH: /usr/bin/X11
--PATH: /usr/games
-+PATH: /usr/sbin
-+PATH: /sbin
-+PATH: /usr/local/bin
-+PATH: /usr/local/MacGPG2/bin
-+PATH: /usr/X11/bin
-
-
- ## ----------- ##
-@@ -39,73 +57,74 @@ PATH: /usr/games
- ## ----------- ##
-
- configure:1789: checking for a BSD-compatible install
--configure:1845: result: /usr/bin/install -c
-+configure:1845: result: /Volumes/adk/openadk/scripts/install -c
- configure:1856: checking whether build environment is sane
- configure:1899: result: yes
- configure:1964: checking for gawk
--configure:1994: result: no
--configure:1964: checking for mawk
--configure:1980: found /usr/bin/mawk
--configure:1991: result: mawk
-+configure:1980: found /opt/local/bin/gawk
-+configure:1991: result: gawk
- configure:2002: checking whether make sets $(MAKE)
- configure:2023: result: yes
--configure:2258: checking for gcc
--configure:2274: found /usr/bin/gcc
--configure:2285: result: gcc
-+configure:2099: checking for mipsel-openadk-linux-strip
-+configure:2126: result: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-strip
-+configure:2218: checking for mipsel-openadk-linux-gcc
-+configure:2245: result: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc
- configure:2523: checking for C compiler version
--configure:2530: gcc --version >&5
--gcc (GCC) 4.1.2 20060901 (prerelease) (Debian 4.1.1-13)
--Copyright (C) 2006 Free Software Foundation, Inc.
-+configure:2530: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc --version >&5
-+mipsel-openadk-linux-uclibc-gcc (GCC) 4.6.3
-+Copyright (C) 2011 Free Software Foundation, Inc.
- This is free software; see the source for copying conditions. There is NO
- warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-
- configure:2533: $? = 0
--configure:2540: gcc -v >&5
-+configure:2540: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -v >&5
- Using built-in specs.
--Target: i486-linux-gnu
--Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-mpfr --with-tune=i686 --enable-checking=release i486-linux-gnu
-+COLLECT_GCC=/Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc
-+COLLECT_LTO_WRAPPER=/Volumes/adk/openadk/host_mipsel_uclibc/libexec/gcc/mipsel-openadk-linux-uclibc/4.6.3/lto-wrapper
-+Target: mipsel-openadk-linux-uclibc
-+Configured with: /Volumes/adk/openadk/toolchain_build_mipsel_uclibc/w-gcc-4.6.3-1/gcc-4.6.3/configure --prefix=/Volumes/adk/openadk/host_mipsel_uclibc --build=i686-apple-darwin10 --host=i686-apple-darwin10 --target=mipsel-openadk-linux-uclibc --with-gmp=/Volumes/adk/openadk/host_mipsel_uclibc --with-mpfr=/Volumes/adk/openadk/host_mipsel_uclibc --with-libelf=/Volumes/adk/openadk/host_mipsel_uclibc --disable-__cxa_atexit --with-gnu-ld --disable-multilib --disable-libmudflap --disable-libgomp --disable-decimal-float --disable-libstdcxx-pch --disable-ppl-version-check --disable-cloog-version-check --without-ppl --without-cloog --disable-nls --disable-sjlj-exceptions --disable-biarch --enable-libssp --enable-lto --enable-tls --enable-target-optspace --enable-languages=c,c++ --with-sysroot='/Volumes/adk/openadk/host_mipsel_uclibc/../target_mipsel_uclibc' --with-slibdir=/Volumes/adk/openadk/target_mipsel_uclibc/lib --enable-shared
- Thread model: posix
--gcc version 4.1.2 20060901 (prerelease) (Debian 4.1.1-13)
-+gcc version 4.6.3 (GCC)
- configure:2543: $? = 0
--configure:2550: gcc -V >&5
--gcc: '-V' option must have argument
-+configure:2550: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -V >&5
-+mipsel-openadk-linux-uclibc-gcc: error: unrecognized option '-V'
-+mipsel-openadk-linux-uclibc-gcc: fatal error: no input files
-+compilation terminated.
- configure:2553: $? = 1
- configure:2576: checking for C compiler default output file name
--configure:2603: gcc conftest.c >&5
-+configure:2603: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c >&5
- configure:2606: $? = 0
- configure:2644: result: a.out
- configure:2661: checking whether the C compiler works
--configure:2671: ./a.out
--configure:2674: $? = 0
- configure:2691: result: yes
- configure:2698: checking whether we are cross compiling
--configure:2700: result: no
-+configure:2700: result: yes
- configure:2703: checking for suffix of executables
--configure:2710: gcc -o conftest conftest.c >&5
-+configure:2710: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -o conftest -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c >&5
- configure:2713: $? = 0
- configure:2737: result:
- configure:2743: checking for suffix of object files
--configure:2769: gcc -c conftest.c >&5
-+configure:2769: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:2772: $? = 0
- configure:2795: result: o
- configure:2799: checking whether we are using the GNU C compiler
--configure:2828: gcc -c conftest.c >&5
-+configure:2828: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:2834: $? = 0
- configure:2841: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:2844: $? = 0
- configure:2851: test -s conftest.o
- configure:2854: $? = 0
- configure:2868: result: yes
--configure:2873: checking whether gcc accepts -g
--configure:2903: gcc -c -g conftest.c >&5
-+configure:2873: checking whether /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc accepts -g
-+configure:2903: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -g -DNDEBUG conftest.c >&5
- configure:2909: $? = 0
- configure:2916: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:2919: $? = 0
- configure:2926: test -s conftest.o
- configure:2929: $? = 0
- configure:3059: result: yes
--configure:3076: checking for gcc option to accept ISO C89
--configure:3150: gcc -c -g -O2 conftest.c >&5
-+configure:3076: checking for /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc option to accept ISO C89
-+configure:3150: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:3156: $? = 0
- configure:3163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:3166: $? = 0
-@@ -114,17 +133,18 @@ configure:3176: $? = 0
- configure:3196: result: none needed
- configure:3225: checking for style of include used by make
- configure:3253: result: GNU
--configure:3281: checking dependency style of gcc
--configure:3371: result: gcc3
-+configure:3281: checking dependency style of /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc
-+configure:3371: result: none
- configure:3401: checking for a BSD-compatible install
--configure:3457: result: /usr/bin/install -c
-+configure:3457: result: /Volumes/adk/openadk/scripts/install -c
- configure:3468: checking whether make sets $(MAKE)
- configure:3489: result: yes
- configure:3506: checking how to run the C preprocessor
--configure:3546: gcc -E conftest.c
-+configure:3546: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -E -DNDEBUG conftest.c
- configure:3552: $? = 0
--configure:3590: gcc -E conftest.c
--conftest.c:10:28: error: ac_nonexistent.h: No such file or directory
-+configure:3590: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -E -DNDEBUG conftest.c
-+conftest.c:10:28: fatal error: ac_nonexistent.h: No such file or directory
-+compilation terminated.
- configure:3596: $? = 1
- configure: failed program was:
- | /* confdefs.h. */
-@@ -137,11 +157,12 @@ configure: failed program was:
- | #define VERSION "0.3.2"
- | /* end confdefs.h. */
- | #include <ac_nonexistent.h>
--configure:3636: result: gcc -E
--configure:3665: gcc -E conftest.c
-+configure:3636: result: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -E
-+configure:3665: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -E -DNDEBUG conftest.c
- configure:3671: $? = 0
--configure:3709: gcc -E conftest.c
--conftest.c:10:28: error: ac_nonexistent.h: No such file or directory
-+configure:3709: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -E -DNDEBUG conftest.c
-+conftest.c:10:28: fatal error: ac_nonexistent.h: No such file or directory
-+compilation terminated.
- configure:3715: $? = 1
- configure: failed program was:
- | /* confdefs.h. */
-@@ -155,23 +176,19 @@ configure: failed program was:
- | /* end confdefs.h. */
- | #include <ac_nonexistent.h>
- configure:3760: checking for grep that handles long lines and -e
--configure:3834: result: /bin/grep
-+configure:3834: result: /usr/bin/grep
- configure:3839: checking for egrep
--configure:3917: result: /bin/grep -E
-+configure:3917: result: /usr/bin/grep -E
- configure:3922: checking for ANSI C header files
--configure:3952: gcc -c -g -O2 conftest.c >&5
-+configure:3952: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:3958: $? = 0
- configure:3965: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:3968: $? = 0
- configure:3975: test -s conftest.o
- configure:3978: $? = 0
--configure:4074: gcc -o conftest -g -O2 conftest.c >&5
--configure:4077: $? = 0
--configure:4083: ./conftest
--configure:4086: $? = 0
- configure:4103: result: yes
- configure:4129: checking for sys/types.h
--configure:4150: gcc -c -g -O2 conftest.c >&5
-+configure:4150: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4156: $? = 0
- configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4166: $? = 0
-@@ -179,7 +196,7 @@ configure:4173: test -s conftest.o
- configure:4176: $? = 0
- configure:4189: result: yes
- configure:4129: checking for sys/stat.h
--configure:4150: gcc -c -g -O2 conftest.c >&5
-+configure:4150: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4156: $? = 0
- configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4166: $? = 0
-@@ -187,7 +204,7 @@ configure:4173: test -s conftest.o
- configure:4176: $? = 0
- configure:4189: result: yes
- configure:4129: checking for stdlib.h
--configure:4150: gcc -c -g -O2 conftest.c >&5
-+configure:4150: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4156: $? = 0
- configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4166: $? = 0
-@@ -195,7 +212,7 @@ configure:4173: test -s conftest.o
- configure:4176: $? = 0
- configure:4189: result: yes
- configure:4129: checking for string.h
--configure:4150: gcc -c -g -O2 conftest.c >&5
-+configure:4150: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4156: $? = 0
- configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4166: $? = 0
-@@ -203,7 +220,7 @@ configure:4173: test -s conftest.o
- configure:4176: $? = 0
- configure:4189: result: yes
- configure:4129: checking for memory.h
--configure:4150: gcc -c -g -O2 conftest.c >&5
-+configure:4150: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4156: $? = 0
- configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4166: $? = 0
-@@ -211,7 +228,7 @@ configure:4173: test -s conftest.o
- configure:4176: $? = 0
- configure:4189: result: yes
- configure:4129: checking for strings.h
--configure:4150: gcc -c -g -O2 conftest.c >&5
-+configure:4150: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4156: $? = 0
- configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4166: $? = 0
-@@ -219,7 +236,7 @@ configure:4173: test -s conftest.o
- configure:4176: $? = 0
- configure:4189: result: yes
- configure:4129: checking for inttypes.h
--configure:4150: gcc -c -g -O2 conftest.c >&5
-+configure:4150: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4156: $? = 0
- configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4166: $? = 0
-@@ -227,7 +244,7 @@ configure:4173: test -s conftest.o
- configure:4176: $? = 0
- configure:4189: result: yes
- configure:4129: checking for stdint.h
--configure:4150: gcc -c -g -O2 conftest.c >&5
-+configure:4150: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4156: $? = 0
- configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4166: $? = 0
-@@ -235,7 +252,7 @@ configure:4173: test -s conftest.o
- configure:4176: $? = 0
- configure:4189: result: yes
- configure:4129: checking for unistd.h
--configure:4150: gcc -c -g -O2 conftest.c >&5
-+configure:4150: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4156: $? = 0
- configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4166: $? = 0
-@@ -243,7 +260,7 @@ configure:4173: test -s conftest.o
- configure:4176: $? = 0
- configure:4189: result: yes
- configure:4201: checking for pid_t
--configure:4231: gcc -c -g -O2 conftest.c >&5
-+configure:4231: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4237: $? = 0
- configure:4244: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4247: $? = 0
-@@ -251,7 +268,7 @@ configure:4254: test -s conftest.o
- configure:4257: $? = 0
- configure:4269: result: yes
- configure:4281: checking for size_t
--configure:4311: gcc -c -g -O2 conftest.c >&5
-+configure:4311: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4317: $? = 0
- configure:4324: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4327: $? = 0
-@@ -259,7 +276,7 @@ configure:4334: test -s conftest.o
- configure:4337: $? = 0
- configure:4349: result: yes
- configure:4361: checking whether time.h and sys/time.h may both be included
--configure:4391: gcc -c -g -O2 conftest.c >&5
-+configure:4391: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4397: $? = 0
- configure:4404: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4407: $? = 0
-@@ -267,7 +284,7 @@ configure:4414: test -s conftest.o
- configure:4417: $? = 0
- configure:4429: result: yes
- configure:4439: checking whether struct tm is in sys/time.h or time.h
--configure:4467: gcc -c -g -O2 conftest.c >&5
-+configure:4467: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG conftest.c >&5
- configure:4473: $? = 0
- configure:4480: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4483: $? = 0
-@@ -275,7 +292,7 @@ configure:4490: test -s conftest.o
- configure:4493: $? = 0
- configure:4505: result: time.h
- configure:4516: checking for library containing gethostbyname
--configure:4557: gcc -o conftest -g -O2 conftest.c >&5
-+configure:4557: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -o conftest -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c >&5
- configure:4563: $? = 0
- configure:4570: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4573: $? = 0
-@@ -283,17 +300,15 @@ configure:4580: test -s conftest
- configure:4583: $? = 0
- configure:4607: result: none required
- configure:4615: checking for socket
--configure:4671: gcc -o conftest -g -O2 conftest.c >&5
-+configure:4671: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -o conftest -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c >&5
- configure:4677: $? = 0
- configure:4684: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:4687: $? = 0
- configure:4694: test -s conftest
- configure:4697: $? = 0
- configure:4710: result: yes
--configure:5084: checking location of ncurses.h file...
--configure:5092: result: Found ncurses on /usr/include/ncurses.h
- configure:5367: checking for use_default_colors
--configure:5423: gcc -o conftest -g -O2 conftest.c -lncurses >&5
-+configure:5423: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -o conftest -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -lncurses >&5
- configure:5429: $? = 0
- configure:5436: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:5439: $? = 0
-@@ -301,7 +316,7 @@ configure:5446: test -s conftest
- configure:5449: $? = 0
- configure:5463: result: yes
- configure:5367: checking for resizeterm
--configure:5423: gcc -o conftest -g -O2 conftest.c -lncurses >&5
-+configure:5423: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -o conftest -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -lncurses >&5
- configure:5429: $? = 0
- configure:5436: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:5439: $? = 0
-@@ -309,7 +324,7 @@ configure:5446: test -s conftest
- configure:5449: $? = 0
- configure:5463: result: yes
- configure:5367: checking for resize_term
--configure:5423: gcc -o conftest -g -O2 conftest.c -lncurses >&5
-+configure:5423: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -o conftest -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -lncurses >&5
- configure:5429: $? = 0
- configure:5436: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:5439: $? = 0
-@@ -317,9 +332,10 @@ configure:5446: test -s conftest
- configure:5449: $? = 0
- configure:5463: result: yes
- configure:5367: checking for wadd_wch
--configure:5423: gcc -o conftest -g -O2 conftest.c -lncurses >&5
--/tmp/cciXPB1b.o: In function `main':
--/home/jonas/tmsnc/conftest.c:60: undefined reference to `wadd_wch'
-+configure:5423: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -o conftest -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -lncurses >&5
-+/var/folders/v7/v7rUSnywE5SYxctWLsie4++++TI/-Tmp-//ccPE2bt6.o: In function `main':
-+conftest.c:(.text.startup+0xc): undefined reference to `wadd_wch'
-+conftest.c:(.text.startup+0x18): undefined reference to `wadd_wch'
- collect2: ld returned 1 exit status
- configure:5429: $? = 1
- configure: failed program was:
-@@ -342,8 +358,8 @@ configure: failed program was:
- | #define HAVE_STDINT_H 1
- | #define HAVE_UNISTD_H 1
- | #define TIME_WITH_SYS_TIME 1
--| #define HAS_CURSES 1
- | #define USE_NCURSES 1
-+| #define HAS_CURSES 1
- | #define HAVE_USE_DEFAULT_COLORS 1
- | #define HAVE_RESIZETERM 1
- | #define HAVE_RESIZE_TERM 1
-@@ -388,25 +404,74 @@ configure: failed program was:
- | }
- configure:5463: result: no
- configure:5515: checking build system type
--configure:5533: result: i686-pc-linux-gnu
-+configure:5533: result: i686-apple-darwin10
- configure:5555: checking host system type
--configure:5570: result: i686-pc-linux-gnu
-+configure:5570: result: mipsel-openadk-linux-gnu
- configure:5616: checking for ld used by GCC
--configure:5680: result: /usr/bin/ld
--configure:5689: checking if the linker (/usr/bin/ld) is GNU ld
-+configure:5680: result: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-ld
-+configure:5689: checking if the linker (/Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-ld) is GNU ld
- configure:5702: result: yes
- configure:5709: checking for shared library run path origin
- configure:5722: result: done
- configure:6152: checking for iconv
--configure:6184: gcc -o conftest -g -O2 conftest.c >&5
--configure:6190: $? = 0
--configure:6197: test -z "$ac_c_werror_flag" || test ! -s conftest.err
--configure:6200: $? = 0
--configure:6207: test -s conftest
--configure:6210: $? = 0
-+configure:6184: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -o conftest -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -I/Volumes/adk/openadk/target_mipsel_uclibc/usr/include -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c >&5
-+/var/folders/v7/v7rUSnywE5SYxctWLsie4++++TI/-Tmp-//ccM3dqcv.o: In function `main':
-+conftest.c:(.text.startup+0x10): undefined reference to `libiconv_open'
-+conftest.c:(.text.startup+0x24): undefined reference to `libiconv_open'
-+conftest.c:(.text.startup+0x34): undefined reference to `libiconv'
-+conftest.c:(.text.startup+0x48): undefined reference to `libiconv'
-+conftest.c:(.text.startup+0x58): undefined reference to `libiconv_close'
-+conftest.c:(.text.startup+0x60): undefined reference to `libiconv_close'
-+collect2: ld returned 1 exit status
-+configure:6190: $? = 1
-+configure: failed program was:
-+| /* confdefs.h. */
-+| #define PACKAGE_NAME ""
-+| #define PACKAGE_TARNAME ""
-+| #define PACKAGE_VERSION ""
-+| #define PACKAGE_STRING ""
-+| #define PACKAGE_BUGREPORT ""
-+| #define PACKAGE "tmsnc"
-+| #define VERSION "0.3.2"
-+| #define STDC_HEADERS 1
-+| #define HAVE_SYS_TYPES_H 1
-+| #define HAVE_SYS_STAT_H 1
-+| #define HAVE_STDLIB_H 1
-+| #define HAVE_STRING_H 1
-+| #define HAVE_MEMORY_H 1
-+| #define HAVE_STRINGS_H 1
-+| #define HAVE_INTTYPES_H 1
-+| #define HAVE_STDINT_H 1
-+| #define HAVE_UNISTD_H 1
-+| #define TIME_WITH_SYS_TIME 1
-+| #define USE_NCURSES 1
-+| #define HAS_CURSES 1
-+| #define HAVE_USE_DEFAULT_COLORS 1
-+| #define HAVE_RESIZETERM 1
-+| #define HAVE_RESIZE_TERM 1
-+| /* end confdefs.h. */
-+| #include <stdlib.h>
-+| #include <iconv.h>
-+| int
-+| main ()
-+| {
-+| iconv_t cd = iconv_open("","");
-+| iconv(cd,NULL,NULL,NULL,NULL);
-+| iconv_close(cd);
-+| ;
-+| return 0;
-+| }
-+configure:6249: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -o conftest -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -I/Volumes/adk/openadk/target_mipsel_uclibc/usr/include -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c /Volumes/adk/openadk/target_mipsel_uclibc/usr/lib/libiconv.so -Wl,-rpath -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib >&5
-+configure:6255: $? = 0
-+configure:6262: test -z "$ac_c_werror_flag" || test ! -s conftest.err
-+configure:6265: $? = 0
-+configure:6272: test -s conftest
-+configure:6275: $? = 0
- configure:6292: result: yes
-+configure:6302: checking how to link with libiconv
-+configure:6304: result: /Volumes/adk/openadk/target_mipsel_uclibc/usr/lib/libiconv.so -Wl,-rpath -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib
- configure:6315: checking for iconv declaration
--configure:6354: gcc -c -g -O2 conftest.c >&5
-+configure:6354: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -c -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -I/Volumes/adk/openadk/target_mipsel_uclibc/usr/include conftest.c >&5
- configure:6360: $? = 0
- configure:6367: test -z "$ac_c_werror_flag" || test ! -s conftest.err
- configure:6370: $? = 0
-@@ -415,10 +480,10 @@ configure:6380: $? = 0
- configure:6396: result:
- extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
- configure:6424: checking for openssl
--configure:6494: result: yes
-+configure:6447: result: /Volumes/adk/openadk/target_mipsel_uclibc/usr
- configure:6521: checking for gtf_filter_warez in -ltalkfilters
--configure:6556: gcc -o conftest -g -O2 conftest.c -ltalkfilters >&5
--/usr/bin/ld: cannot find -ltalkfilters
-+configure:6556: /Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -o conftest -fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe -DNDEBUG -I/Volumes/adk/openadk/target_mipsel_uclibc/usr/include -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib conftest.c -ltalkfilters >&5
-+/Volumes/adk/openadk/host_mipsel_uclibc/lib/gcc/mipsel-openadk-linux-uclibc/4.6.3/../../../../mipsel-openadk-linux-uclibc/bin/ld: cannot find -ltalkfilters
- collect2: ld returned 1 exit status
- configure:6562: $? = 1
- configure: failed program was:
-@@ -441,8 +506,8 @@ configure: failed program was:
- | #define HAVE_STDINT_H 1
- | #define HAVE_UNISTD_H 1
- | #define TIME_WITH_SYS_TIME 1
--| #define HAS_CURSES 1
- | #define USE_NCURSES 1
-+| #define HAS_CURSES 1
- | #define HAVE_USE_DEFAULT_COLORS 1
- | #define HAVE_RESIZETERM 1
- | #define HAVE_RESIZE_TERM 1
-@@ -481,37 +546,40 @@ generated by GNU Autoconf 2.60a. Invoca
- CONFIG_COMMANDS =
- $ ./config.status
-
--on prophet
-+on neon.localdomain
-
- config.status:646: creating Makefile
- config.status:646: creating doc/Makefile
- config.status:646: creating src/Makefile
- config.status:646: creating autopackage/default.apspec
- config.status:646: creating src/config.h
-+config.status:875: src/config.h is unchanged
- config.status:921: executing depfiles commands
-
- ## ---------------- ##
- ## Cache variables. ##
- ## ---------------- ##
-
--ac_cv_build=i686-pc-linux-gnu
-+ac_cv_build=i686-apple-darwin10
- ac_cv_c_compiler_gnu=yes
--ac_cv_env_CC_set=
--ac_cv_env_CC_value=
--ac_cv_env_CFLAGS_set=
--ac_cv_env_CFLAGS_value=
--ac_cv_env_CPPFLAGS_set=
--ac_cv_env_CPPFLAGS_value=
-+ac_cv_env_CC_set=set
-+ac_cv_env_CC_value=/Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc
-+ac_cv_env_CFLAGS_set=set
-+ac_cv_env_CFLAGS_value='-fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe'
-+ac_cv_env_CPPFLAGS_set=set
-+ac_cv_env_CPPFLAGS_value=-DNDEBUG
- ac_cv_env_CPP_set=
- ac_cv_env_CPP_value=
--ac_cv_env_LDFLAGS_set=
--ac_cv_env_LDFLAGS_value=
--ac_cv_env_build_alias_set=
--ac_cv_env_build_alias_value=
--ac_cv_env_host_alias_set=
--ac_cv_env_host_alias_value=
--ac_cv_env_target_alias_set=
--ac_cv_env_target_alias_value=
-+ac_cv_env_LDFLAGS_set=set
-+ac_cv_env_LDFLAGS_value='-L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib'
-+ac_cv_env_build_alias_set=set
-+ac_cv_env_build_alias_value=i686-apple-darwin10
-+ac_cv_env_host_alias_set=set
-+ac_cv_env_host_alias_value=mipsel-openadk-linux
-+ac_cv_env_target_alias_set=set
-+ac_cv_env_target_alias_value=mipsel-openadk-linux
-+ac_cv_func_malloc_0_nonnull=yes
-+ac_cv_func_realloc_0_nonnull=yes
- ac_cv_func_resize_term=yes
- ac_cv_func_resizeterm=yes
- ac_cv_func_socket=yes
-@@ -528,15 +596,16 @@ ac_cv_header_sys_stat_h=yes
- ac_cv_header_sys_types_h=yes
- ac_cv_header_time=yes
- ac_cv_header_unistd_h=yes
--ac_cv_host=i686-pc-linux-gnu
-+ac_cv_host=mipsel-openadk-linux-gnu
- ac_cv_lib_talkfilters_gtf_filter_warez=no
- ac_cv_objext=o
--ac_cv_path_EGREP='/bin/grep -E'
--ac_cv_path_GREP=/bin/grep
--ac_cv_path_install='/usr/bin/install -c'
--ac_cv_prog_AWK=mawk
--ac_cv_prog_CPP='gcc -E'
--ac_cv_prog_ac_ct_CC=gcc
-+ac_cv_path_EGREP='/usr/bin/grep -E'
-+ac_cv_path_GREP=/usr/bin/grep
-+ac_cv_path_install='/Volumes/adk/openadk/scripts/install -c'
-+ac_cv_prog_AWK=gawk
-+ac_cv_prog_CC=/Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc
-+ac_cv_prog_CPP='/Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -E'
-+ac_cv_prog_STRIP=/Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-strip
- ac_cv_prog_cc_c89=
- ac_cv_prog_cc_g=yes
- ac_cv_prog_make_make_set=yes
-@@ -549,14 +618,14 @@ acl_cv_hardcode_libdir_flag_spec='${wl}-
- acl_cv_hardcode_libdir_separator=
- acl_cv_hardcode_minus_L=no
- acl_cv_libext=a
--acl_cv_path_LD=/usr/bin/ld
-+acl_cv_path_LD=/Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-ld
- acl_cv_prog_gnu_ld=yes
- acl_cv_rpath=done
- acl_cv_shlibext=so
- acl_cv_wl=-Wl,
--am_cv_CC_dependencies_compiler_type=gcc3
-+am_cv_CC_dependencies_compiler_type=none
- am_cv_func_iconv=yes
--am_cv_lib_iconv=no
-+am_cv_lib_iconv=yes
- am_cv_proto_iconv='extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);'
- am_cv_proto_iconv_arg1=
-
-@@ -564,42 +633,42 @@ am_cv_proto_iconv_arg1=
- ## Output variables. ##
- ## ----------------- ##
-
--ACLOCAL='${SHELL} /home/jonas/tmsnc/missing --run aclocal-1.9'
--AMDEPBACKSLASH='\'
--AMDEP_FALSE='#'
--AMDEP_TRUE=''
--AMTAR='${SHELL} /home/jonas/tmsnc/missing --run tar'
--AUTOCONF='${SHELL} /home/jonas/tmsnc/missing --run autoconf'
--AUTOHEADER='${SHELL} /home/jonas/tmsnc/missing --run autoheader'
--AUTOMAKE='${SHELL} /home/jonas/tmsnc/missing --run automake-1.9'
--AWK='mawk'
--CC='gcc'
--CCDEPMODE='depmode=gcc3'
--CFLAGS='-g -O2'
--CPP='gcc -E'
--CPPFLAGS=''
--CURSES_INCLUDEDIR=''
--CURSES_LIBS='-lncurses -lpanel -lform'
-+ACLOCAL='${SHELL} /Volumes/adk/openadk/build_qemu_mipsel_uclibc/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run aclocal-1.9'
-+AMDEPBACKSLASH=''
-+AMDEP_FALSE=''
-+AMDEP_TRUE='#'
-+AMTAR='${SHELL} /Volumes/adk/openadk/build_qemu_mipsel_uclibc/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run tar'
-+AUTOCONF='${SHELL} /Volumes/adk/openadk/build_qemu_mipsel_uclibc/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoconf'
-+AUTOHEADER='${SHELL} /Volumes/adk/openadk/build_qemu_mipsel_uclibc/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoheader'
-+AUTOMAKE='${SHELL} /Volumes/adk/openadk/build_qemu_mipsel_uclibc/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run automake-1.9'
-+AWK='gawk'
-+CC='/Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc'
-+CCDEPMODE='depmode=none'
-+CFLAGS='-fwrapv -fno-ident -fhonour-copts -fomit-frame-pointer -Os -pipe'
-+CPP='/Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-gcc -E'
-+CPPFLAGS='-DNDEBUG -I/Volumes/adk/openadk/target_mipsel_uclibc/usr/include'
-+CURSES_INCLUDEDIR='-I/Volumes/adk/openadk/target_mipsel_uclibc/include'
-+CURSES_LIBS=' -L/Volumes/adk/openadk/target_mipsel_uclibc/lib -lncurses -lpanel -lform'
- CYGPATH_W='echo'
- DEFS='-DHAVE_CONFIG_H'
- DEPDIR='.deps'
- ECHO_C=''
- ECHO_N='-n'
- ECHO_T=''
--EGREP='/bin/grep -E'
-+EGREP='/usr/bin/grep -E'
- EXEEXT=''
--GREP='/bin/grep'
-+GREP='/usr/bin/grep'
- INSTALL_DATA='${INSTALL} -m 644'
- INSTALL_PROGRAM='${INSTALL}'
- INSTALL_SCRIPT='${INSTALL}'
- INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
--LDFLAGS=''
--LIBICONV=''
-+LDFLAGS='-L/Volumes/adk/openadk/target_mipsel_uclibc/lib -L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib'
-+LIBICONV='/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib/libiconv.so -Wl,-rpath -Wl,/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib'
- LIBOBJS=''
- LIBS=''
--LTLIBICONV=''
-+LTLIBICONV='-L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -liconv -R/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib'
- LTLIBOBJS=''
--MAKEINFO='${SHELL} /home/jonas/tmsnc/missing --run makeinfo'
-+MAKEINFO='${SHELL} /Volumes/adk/openadk/build_qemu_mipsel_uclibc/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run makeinfo'
- OBJEXT='o'
- OPENSSL_FALSE='#'
- OPENSSL_TRUE=''
-@@ -611,57 +680,57 @@ PACKAGE_TARNAME=''
- PACKAGE_VERSION=''
- PATH_SEPARATOR=':'
- SET_MAKE=''
--SHELL='/bin/sh'
--SSLINC=''
--SSLLIB='-lssl -lcrypto'
--STRIP=''
-+SHELL='/bin/bash'
-+SSLINC='-I/Volumes/adk/openadk/target_mipsel_uclibc/usr/include'
-+SSLLIB='-L/Volumes/adk/openadk/target_mipsel_uclibc/usr/lib -lssl -lcrypto'
-+STRIP='/Volumes/adk/openadk/host_mipsel_uclibc/bin/mipsel-openadk-linux-uclibc-strip'
- TALKFILTERS_FALSE=''
- TALKFILTERS_TRUE='#'
- TFLIB=''
- VERSION='0.3.2'
--ac_ct_CC='gcc'
--am__fastdepCC_FALSE='#'
--am__fastdepCC_TRUE=''
-+ac_ct_CC=''
-+am__fastdepCC_FALSE=''
-+am__fastdepCC_TRUE='#'
- am__include='include'
- am__leading_dot='.'
- am__quote=''
- am__tar='${AMTAR} chof - "$$tardir"'
- am__untar='${AMTAR} xf -'
--bindir='${exec_prefix}/bin'
--build='i686-pc-linux-gnu'
--build_alias=''
-+bindir='/usr/bin'
-+build='i686-apple-darwin10'
-+build_alias='i686-apple-darwin10'
- build_cpu='i686'
--build_os='linux-gnu'
--build_vendor='pc'
--datadir='${datarootdir}'
-+build_os='darwin10'
-+build_vendor='apple'
-+datadir='/usr/share'
- datarootdir='${prefix}/share'
- docdir='${datarootdir}/doc/${PACKAGE}'
- dvidir='${docdir}'
- exec_prefix='${prefix}'
--host='i686-pc-linux-gnu'
--host_alias=''
--host_cpu='i686'
-+host='mipsel-openadk-linux-gnu'
-+host_alias='mipsel-openadk-linux'
-+host_cpu='mipsel'
- host_os='linux-gnu'
--host_vendor='pc'
-+host_vendor='openadk'
- htmldir='${docdir}'
- includedir='${prefix}/include'
- infodir='${datarootdir}/info'
--install_sh='/home/jonas/tmsnc/install-sh'
-+install_sh='/Volumes/adk/openadk/build_qemu_mipsel_uclibc/w-tmsnc-0.3.2-1/tmsnc-0.3.2/install-sh'
- libdir='${exec_prefix}/lib'
--libexecdir='${exec_prefix}/libexec'
-+libexecdir='/usr/libexec'
- localedir='${datarootdir}/locale'
--localstatedir='${prefix}/var'
--mandir='${datarootdir}/man'
--mkdir_p='mkdir -p --'
-+localstatedir='/var'
-+mandir='/usr/share/man'
-+mkdir_p='$(mkinstalldirs)'
- oldincludedir='/usr/include'
- pdfdir='${docdir}'
--prefix='/usr/local'
--program_transform_name='s,x,x,'
-+prefix='/usr'
-+program_transform_name='s&$$&&;s&^&&'
- psdir='${docdir}'
- sbindir='${exec_prefix}/sbin'
- sharedstatedir='${prefix}/com'
--sysconfdir='${prefix}/etc'
--target_alias=''
-+sysconfdir='/etc'
-+target_alias='mipsel-openadk-linux'
- tmsnc_VERSION='0.3.2'
-
- ## ----------- ##
-@@ -686,8 +755,8 @@ tmsnc_VERSION='0.3.2'
- #define HAVE_STDINT_H 1
- #define HAVE_UNISTD_H 1
- #define TIME_WITH_SYS_TIME 1
--#define HAS_CURSES 1
- #define USE_NCURSES 1
-+#define HAS_CURSES 1
- #define HAVE_USE_DEFAULT_COLORS 1
- #define HAVE_RESIZETERM 1
- #define HAVE_RESIZE_TERM 1
-@@ -710,7 +779,6 @@ generated by GNU Autoconf 2.60a. Invoca
- CONFIG_COMMANDS =
- $ ./config.status src/config.h
-
--on prophet
-+on neon.localdomain
-
- config.status:646: creating src/config.h
--config.status:875: src/config.h is unchanged
diff --git a/package/uclibc-ng/Config.in.manual b/package/uclibc-ng/Config.in.manual
index 8e7b6c227..57bce5444 100644
--- a/package/uclibc-ng/Config.in.manual
+++ b/package/uclibc-ng/Config.in.manual
@@ -8,7 +8,6 @@ config ADK_PACKAGE_UCLIBC_NG
config ADK_PACKAGE_UCLIBC_NG_TEST
bool "uClibc-ng-test.......... embedded C library (testsuite)"
- select ADK_PACKAGE_MAKE if !ADK_TARGET_UCLINUX
select ADK_PACKAGE_LIBRT if !ADK_TARGET_UCLINUX
select ADK_PACKAGE_LIBPTHREAD if !ADK_TARGET_UCLINUX
select ADK_UCLIBC_TEST